module StepFile.Examples exposing (..)


twoWalls : String
twoWalls =
    """ISO-10303-21;
HEADER;
FILE_DESCRIPTION(('ViewDefinition [CoordinationView]'),'2;1');
FILE_NAME('two_walls.ifc','2012-07-09T16:01:02',(''),(''),'Autodesk Revit Structure 2013','20120221_2030(x64)','');
FILE_SCHEMA(('IFC2X3'));
ENDSEC;

DATA;
#1= IFCORGANIZATION($,'Autodesk Revit Structure 2013',$,$,$);
#2= IFCAPPLICATION(#1,'2013','Autodesk Revit Structure 2013','Revit');
#3= IFCCARTESIANPOINT((0.,0.,0.));
#5= IFCCARTESIANPOINT((0.,0.));
#7= IFCDIRECTION((1.,0.,0.));
#9= IFCDIRECTION((-1.,0.,0.));
#11= IFCDIRECTION((0.,1.,0.));
#13= IFCDIRECTION((0.,-1.,0.));
#15= IFCDIRECTION((0.,0.,1.));
#17= IFCDIRECTION((0.,0.,-1.));
#19= IFCDIRECTION((1.,0.));
#21= IFCDIRECTION((-1.,0.));
#23= IFCDIRECTION((0.,1.));
#25= IFCDIRECTION((0.,-1.));
#27= IFCSIUNIT(*,.LENGTHUNIT.,$,.METRE.);
#28= IFCSIUNIT(*,.AREAUNIT.,$,.SQUARE_METRE.);
#29= IFCSIUNIT(*,.VOLUMEUNIT.,$,.CUBIC_METRE.);
#30= IFCSIUNIT(*,.PLANEANGLEUNIT.,$,.RADIAN.);
#31= IFCDIMENSIONALEXPONENTS(0,0,0,0,0,0,0);
#32= IFCMEASUREWITHUNIT(IFCRATIOMEASURE(0.0174532925199433),#30);
#33= IFCCONVERSIONBASEDUNIT(#31,.PLANEANGLEUNIT.,'DEGREE',#32);
#34= IFCSIUNIT(*,.TIMEUNIT.,$,.SECOND.);
#35= IFCUNITASSIGNMENT((#27,#28,#29,#33,#34));
#37= IFCAXIS2PLACEMENT3D(#3,$,$);
#38= IFCLOCALPLACEMENT(#253,#37);
#39= IFCAXIS2PLACEMENT3D(#3,$,$);
#40= IFCDIRECTION((2.,6.12303176911189E-17,1.));
#42= IFCGEOMETRICREPRESENTATIONCONTEXT($,'Model',3,1.00000000000000E-9,#39,#40);
#43= IFCGEOMETRICREPRESENTATIONSUBCONTEXT('Axis','Model',*,*,*,*,#42,$,.GRAPH_VIEW.,$);
#44= IFCGEOMETRICREPRESENTATIONSUBCONTEXT('Body','Model',*,*,*,*,#42,$,.MODEL_VIEW.,$);
#45= IFCGEOMETRICREPRESENTATIONSUBCONTEXT('Box','Model',*,*,*,*,#42,$,.MODEL_VIEW.,$);
#46= IFCGEOMETRICREPRESENTATIONSUBCONTEXT('FootPrint','Model',*,*,*,*,#42,$,.MODEL_VIEW.,$);
#47= IFCGEOMETRICREPRESENTATIONCONTEXT($,'Annotation',3,1.00000000000000E-9,#39,#40);
#48= IFCGEOMETRICREPRESENTATIONSUBCONTEXT($,'Annotation',*,*,*,*,#47,0.01,.PLAN_VIEW.,$);
#49= IFCPERSON($,'','Ian.Mackenzie',$,$,$,$,$);
#50= IFCORGANIZATION($,'','',$,$);
#51= IFCPERSONANDORGANIZATION(#49,#50,$);
#52= IFCOWNERHISTORY(#51,#2,$,.NOCHANGE.,$,$,$,0);
#53= IFCPROJECT('3gEBWiirz62wmJZFyWl04Q',#52,'Project Number',$,$,'Project Name','Project Status',(#42,#47),#35);
#55= IFCPOSTALADDRESS($,$,$,$,('Enter address here'),$,'','Boston','','MA');
#57= IFCBUILDING('3gEBWiirz62wmJZFyWl04R',#52,'',$,$,#38,$,'',.ELEMENT.,$,$,#55);
#58= IFCAXIS2PLACEMENT3D(#3,$,$);
#59= IFCLOCALPLACEMENT(#38,#58);
#60= IFCBUILDINGSTOREY('3gEBWiirz62wmJZF$VG$_Z',#52,'Level 1',$,$,#59,$,'Level 1',.ELEMENT.,0.);
#61= IFCCARTESIANPOINT((0.,0.,3.048));
#63= IFCAXIS2PLACEMENT3D(#61,$,$);
#330= IFCRELDEFINESBYPROPERTIES('0KW0fwk1bD7heyzNYmM_iq',#52,$,$,(#60),#287);
#289= IFCRELCONTAINEDINSPATIALSTRUCTURE('12f1l24kT8d9RBml3$P4Yu',#52,$,$,(#94,#222),#60);
#66= IFCCARTESIANPOINT((-13.9254714454374,5.39346338936044,0.));
#68= IFCAXIS2PLACEMENT3D(#66,$,$);
#69= IFCLOCALPLACEMENT(#59,#68);
#70= IFCCARTESIANPOINT((6.096,0.));
#72= IFCPOLYLINE((#5,#70));
#74= IFCSHAPEREPRESENTATION(#43,'Axis','Curve2D',(#72));
#76= IFCCARTESIANPOINT((3.048,7.63278329429795E-17));
#78= IFCAXIS2PLACEMENT2D(#76,#21);
#79= IFCRECTANGLEPROFILEDEF(.AREA.,$,#78,6.096,0.203199999999999);
#80= IFCAXIS2PLACEMENT3D(#3,$,$);
#81= IFCEXTRUDEDAREASOLID(#79,#80,#15,3.048);
#82= IFCCOLOURRGB($,0.501960784313725,0.501960784313725,0.501960784313725);
#83= IFCSURFACESTYLERENDERING(#82,0.,$,$,$,$,IFCNORMALISEDRATIOMEASURE(0.5),IFCSPECULAREXPONENT(10.),.NOTDEFINED.);
#84= IFCSURFACESTYLE('Default Wall',.BOTH.,(#83));
#86= IFCPRESENTATIONSTYLEASSIGNMENT((#84));
#88= IFCSTYLEDITEM(#81,(#86),$);
#90= IFCSHAPEREPRESENTATION(#44,'Body','SweptSolid',(#81));
#92= IFCPRODUCTDEFINITIONSHAPE($,$,(#74,#90));
#94= IFCWALLSTANDARDCASE('2G6A4tBpT558iL2voE4VIj',#52,'Basic Wall:Generic - 8":257906',$,'Basic Wall:Generic - 8":732',#69,#92,'257906');
#95= IFCAXIS2PLACEMENT2D(#5,#19);
#96= IFCRECTANGLEPROFILEDEF(.AREA.,$,#95,0.903031814703559,3.17177719464761);
#97= IFCCARTESIANPOINT((2.86221409483432,-0.1016,1.4609865230204));
#99= IFCAXIS2PLACEMENT3D(#97,#11,#17);
#100= IFCEXTRUDEDAREASOLID(#96,#99,#15,0.203199999999999);
#101= IFCCOLOURRGB($,0.501960784313725,0.501960784313725,0.501960784313725);
#102= IFCSURFACESTYLERENDERING(#101,0.,$,$,$,$,IFCNORMALISEDRATIOMEASURE(0.00390625),IFCSPECULAREXPONENT(10.),.NOTDEFINED.);
#103= IFCSURFACESTYLE('Default Wall',.BOTH.,(#102));
#105= IFCPRESENTATIONSTYLEASSIGNMENT((#103));
#107= IFCSTYLEDITEM(#100,(#105),$);
#109= IFCSHAPEREPRESENTATION(#44,'Body','SweptSolid',(#100));
#111= IFCPRODUCTDEFINITIONSHAPE($,$,(#109));
#113= IFCAXIS2PLACEMENT3D(#3,$,$);
#114= IFCLOCALPLACEMENT(#69,#113);
#115= IFCOPENINGELEMENT('3gEBWiirz62wmJZF$VG0xd',#52,$,$,'Opening',#114,#111,'258061');
#116= IFCRELVOIDSELEMENT('2A1qvZLPrAJfjuSdpbAiYK',#52,$,$,#94,#115);
#117= IFCPROPERTYSINGLEVALUE('Base Constraint',$,IFCLABEL('Level: Level 1'),$);
#118= IFCPROPERTYSINGLEVALUE('Room Bounding',$,IFCBOOLEAN(.T.),$);
#119= IFCPROPERTYSINGLEVALUE('Rebar Cover - Exterior Face',$,IFCLABEL('Rebar Cover Settings: Exterior - #3 to #5'),$);
#120= IFCPROPERTYSINGLEVALUE('Base Extension Distance',$,IFCLENGTHMEASURE(0.),$);
#121= IFCPROPERTYSINGLEVALUE('Top Offset',$,IFCLENGTHMEASURE(0.),$);
#122= IFCPROPERTYSINGLEVALUE('Phase Created',$,IFCLABEL('New Construction'),$);
#123= IFCPROPERTYSINGLEVALUE('Top Constraint',$,IFCLABEL('Level: Level 2'),$);
#124= IFCPROPERTYSINGLEVALUE('Comments',$,IFCLABEL(''),$);
#125= IFCPROPERTYSINGLEVALUE('Related to Mass',$,IFCBOOLEAN(.F.),$);
#126= IFCPROPERTYSINGLEVALUE('Rebar Cover - Other Faces',$,IFCLABEL('Rebar Cover Settings: Interior (slabs, walls, joists) - #3 to #11'),$);
#127= IFCPROPERTYSINGLEVALUE('Base is Attached',$,IFCBOOLEAN(.F.),$);
#128= IFCPROPERTYSINGLEVALUE('Base Offset',$,IFCLENGTHMEASURE(0.),$);
#129= IFCPROPERTYSINGLEVALUE('Structural',$,IFCBOOLEAN(.T.),$);
#130= IFCPROPERTYSINGLEVALUE('Length',$,IFCLENGTHMEASURE(6.096),$);
#131= IFCPROPERTYSINGLEVALUE('Structural Usage',$,IFCINTEGER(1),$);
#132= IFCPROPERTYSINGLEVALUE('Area',$,IFCAREAMEASURE(15.716392284082),$);
#133= IFCPROPERTYSINGLEVALUE('Rebar Cover - Interior Face',$,IFCLABEL('Rebar Cover Settings: Interior (slabs, walls, joists) - #3 to #11'),$);
#134= IFCPROPERTYSINGLEVALUE('Location Line',$,IFCINTEGER(0),$);
#135= IFCPROPERTYSINGLEVALUE('Top Extension Distance',$,IFCLENGTHMEASURE(0.),$);
#136= IFCPROPERTYSINGLEVALUE('Top is Attached',$,IFCBOOLEAN(.F.),$);
#137= IFCPROPERTYSINGLEVALUE('Unconnected Height',$,IFCLENGTHMEASURE(3.048),$);
#138= IFCPROPERTYSINGLEVALUE('Volume',$,IFCVOLUMEMEASURE(3.19357091212547),$);
#139= IFCPROPERTYSINGLEVALUE('Enable Analytical Model',$,IFCBOOLEAN(.T.),$);
#140= IFCPROPERTYSINGLEVALUE('Width',$,IFCLENGTHMEASURE(0.2032),$);
#141= IFCPROPERTYSINGLEVALUE('Roughness',$,IFCINTEGER(1),$);
#142= IFCPROPERTYSINGLEVALUE('Assembly Code',$,IFCLABEL('B2010'),$);
#143= IFCPROPERTYSINGLEVALUE('Absorptance',$,IFCREAL(0.1),$);
#144= IFCPROPERTYSINGLEVALUE('Wrapping at Ends',$,IFCINTEGER(0),$);
#145= IFCPROPERTYSINGLEVALUE('Assembly Description',$,IFCLABEL('Exterior Walls'),$);
#146= IFCPROPERTYSINGLEVALUE('Wrapping at Inserts',$,IFCINTEGER(0),$);
#147= IFCPROPERTYSINGLEVALUE('Function',$,IFCINTEGER(1),$);
#148= IFCPROPERTYSINGLEVALUE('Coarse Scale Fill Color',$,IFCINTEGER(0),$);
#149= IFCPROPERTYSET('3pLYirklLCnOW4nSD7GTcW',#52,'Constraints',$,(#117,#118,#120,#121,#123,#125,#127,#128,#134,#135,#136,#137));
#151= IFCRELDEFINESBYPROPERTIES('1hKvnBJynFZQYWpsEpobkW',#52,$,$,(#94,#115),#149);
#153= IFCPROPERTYSET('3zBlhyMcb1NvCIJtQzFuwd',#52,'Structural',$,(#119,#126,#129,#131,#133,#139));
#155= IFCRELDEFINESBYPROPERTIES('3CqOZU7WX9o90PfroDNjxy',#52,$,$,(#94,#115),#153);
#157= IFCPROPERTYSET('2deTHPCnv7LhL0DorkK0mr',#52,'Phasing',$,(#122));
#159= IFCRELDEFINESBYPROPERTIES('0hwureTK98d9TB$NRYaSRQ',#52,$,$,(#94,#115),#157);
#161= IFCPROPERTYSET('14bSWZIr9CVBqtVLZ4Mnme',#52,'Identity Data',$,(#124));
#163= IFCRELDEFINESBYPROPERTIES('3VraMa41f9HgwhbZV$muam',#52,$,$,(#94,#115),#161);
#165= IFCPROPERTYSET('1vyWS5SoXDAuVNOXacPVx7',#52,'Dimensions',$,(#130,#132,#138));
#167= IFCRELDEFINESBYPROPERTIES('2K_jAi_mz1AQO3cU3IZd06',#52,$,$,(#94,#115),#165);
#169= IFCPROPERTYSET('1uFf3dU$D0Z85ZRVmgtNlK',#52,'Construction',$,(#140,#144,#146,#147));
#171= IFCPROPERTYSET('1t$4mEfI9F59yqnxZoLQMB',#52,'Identity Data',$,(#142,#145));
#173= IFCPROPERTYSET('0CKtwwbtPBPg6g9ALWFV27',#52,'Analytical Properties',$,(#141,#143));
#175= IFCPROPERTYSET('2ZTti61eH1POzrOtMC1MYg',#52,'Graphics',$,(#148));
#177= IFCMATERIAL('Default Wall');
#178= IFCPRESENTATIONSTYLEASSIGNMENT((#84));
#180= IFCSTYLEDITEM($,(#178),$);
#182= IFCSTYLEDREPRESENTATION(#42,'Style','Material',(#180));
#184= IFCMATERIALDEFINITIONREPRESENTATION($,$,(#182),#177);
#186= IFCMATERIALLAYER(#177,0.2032,$);
#187= IFCMATERIALLAYERSET((#186),'Basic Wall:Generic - 8"');
#189= IFCMATERIALLAYERSETUSAGE(#187,.AXIS2.,.NEGATIVE.,0.1016);
#190= IFCPROPERTYSINGLEVALUE('Reference',$,IFCIDENTIFIER('Generic - 8"'),$);
#191= IFCPROPERTYSINGLEVALUE('LoadBearing',$,IFCBOOLEAN(.T.),$);
#192= IFCPROPERTYSINGLEVALUE('ExtendToStructure',$,IFCBOOLEAN(.F.),$);
#193= IFCPROPERTYSINGLEVALUE('IsExternal',$,IFCBOOLEAN(.T.),$);
#194= IFCPROPERTYSET('2G6A4tBpT558iL2vsE4VIj',#52,'Pset_WallCommon',$,(#190,#191,#192,#193));
#196= IFCRELDEFINESBYPROPERTIES('1$U7wfiRn0GAudlqwYccE$',#52,$,$,(#94),#194);
#198= IFCCARTESIANPOINT((-7.82947144543743,8.19346338936042,0.));
#200= IFCDIRECTION((-0.82903757255504,0.559192903470749,0.));
#202= IFCAXIS2PLACEMENT3D(#198,#15,#200);
#203= IFCLOCALPLACEMENT(#59,#202);
#204= IFCCARTESIANPOINT((6.,0.));
#206= IFCPOLYLINE((#5,#204));
#208= IFCSHAPEREPRESENTATION(#43,'Axis','Curve2D',(#206));
#210= IFCCARTESIANPOINT((3.,7.00828284294630E-16));
#212= IFCAXIS2PLACEMENT2D(#210,#21);
#213= IFCRECTANGLEPROFILEDEF(.AREA.,$,#212,6.,0.2032);
#214= IFCAXIS2PLACEMENT3D(#3,$,$);
#215= IFCEXTRUDEDAREASOLID(#213,#214,#15,3.048);
#216= IFCSTYLEDITEM(#215,(#86),$);
#218= IFCSHAPEREPRESENTATION(#44,'Body','SweptSolid',(#215));
#220= IFCPRODUCTDEFINITIONSHAPE($,$,(#208,#218));
#222= IFCWALLSTANDARDCASE('0dCp6o0uHBog1AjpwFgyVZ',#52,'Basic Wall:Generic - 8":258250',$,'Basic Wall:Generic - 8":732',#203,#220,'258250');
#223= IFCPROPERTYSINGLEVALUE('Area',$,IFCAREAMEASURE(18.288),$);
#224= IFCPROPERTYSINGLEVALUE('Unconnected Height',$,IFCLENGTHMEASURE(3.048),$);
#225= IFCPROPERTYSINGLEVALUE('Length',$,IFCLENGTHMEASURE(6.),$);
#226= IFCPROPERTYSINGLEVALUE('Volume',$,IFCVOLUMEMEASURE(3.7161216),$);
#227= IFCPROPERTYSET('2opQsaaQ98_hU7yODlI3z2',#52,'Structural',$,(#126,#139,#131,#133,#119,#129));
#229= IFCRELDEFINESBYPROPERTIES('2F0lKyl017V9aLheKmQN0d',#52,$,$,(#222),#227);
#231= IFCPROPERTYSET('2eSb3NI7D6rA4VeV2TbC$x',#52,'Constraints',$,(#118,#125,#136,#123,#224,#117,#121,#120,#134,#135,#128,#127));
#233= IFCRELDEFINESBYPROPERTIES('1Folf4k1XDMPEQp6nowTUL',#52,$,$,(#222),#231);
#235= IFCPROPERTYSET('3fRphOw0n8_ODp3HBR$p9q',#52,'Dimensions',$,(#223,#225,#226));
#237= IFCRELDEFINESBYPROPERTIES('1tYs$SU$XF7Pb5iOwct9Br',#52,$,$,(#222),#235);
#239= IFCPROPERTYSET('1muh0M$iH1URHug2puH9Rq',#52,'Identity Data',$,(#124));
#241= IFCRELDEFINESBYPROPERTIES('2rkSMpksDCgA8ki8gVyJmh',#52,$,$,(#222),#239);
#243= IFCPROPERTYSET('3viUOWUnTDDxUAwVMnWU3P',#52,'Phasing',$,(#122));
#245= IFCRELDEFINESBYPROPERTIES('0b2hTKD41FFAMIPf6sZ1ou',#52,$,$,(#222),#243);
#247= IFCMATERIALLAYERSETUSAGE(#187,.AXIS2.,.NEGATIVE.,0.1016);
#248= IFCPROPERTYSET('0dCp6o0uHBog1Ajp_FgyVZ',#52,'Pset_WallCommon',$,(#190,#191,#192,#193));
#250= IFCRELDEFINESBYPROPERTIES('0YMngODDXDjPPTLTbbIZJ4',#52,$,$,(#222),#248);
#252= IFCAXIS2PLACEMENT3D(#3,$,$);
#253= IFCLOCALPLACEMENT($,#252);
#254= IFCSITE('3gEBWiirz62wmJZFyWl04O',#52,'Default',$,'',#253,$,$,.ELEMENT.,(42,12,46,804504),(-71,-1,-58,-789672),-0.,$,$);
#257= IFCRELAGGREGATES('2f1YleXN9BXvh8VOIwpdmI',#52,$,$,#53,(#254));
#259= IFCRELAGGREGATES('0vkBOHHXr1nQdNDiBkXJFA',#52,$,$,#254,(#57));
#261= IFCPROPERTYSINGLEVALUE('Computation Height',$,IFCLENGTHMEASURE(0.),$);
#262= IFCPROPERTYSINGLEVALUE('Building Story',$,IFCBOOLEAN(.T.),$);
#263= IFCPROPERTYSINGLEVALUE('Name',$,IFCLABEL('Level 1'),$);
#264= IFCPROPERTYSINGLEVALUE('Structural',$,IFCBOOLEAN(.F.),$);
#265= IFCPROPERTYSINGLEVALUE('Elevation',$,IFCLENGTHMEASURE(0.),$);
#266= IFCPROPERTYSINGLEVALUE('Line Pattern',$,IFCLABEL('Grid Line 1/4"'),$);
#267= IFCPROPERTYSINGLEVALUE('Symbol at End 2 Default',$,IFCBOOLEAN(.T.),$);
#268= IFCPROPERTYSINGLEVALUE('Elevation Base',$,IFCINTEGER(0),$);
#269= IFCPROPERTYSINGLEVALUE('Line Weight',$,IFCINTEGER(1),$);
#270= IFCPROPERTYSINGLEVALUE('Symbol at End 1 Default',$,IFCBOOLEAN(.F.),$);
#271= IFCPROPERTYSINGLEVALUE('Color',$,IFCINTEGER(0),$);
#272= IFCPROPERTYSINGLEVALUE('Symbol',$,IFCLABEL('Level Head - Circle: Level Head - Circle'),$);
#273= IFCPROPERTYSET('1y6ZJ2c8LCxvu0aEROcXCT',#52,'Dimensions',$,(#261));
#275= IFCRELDEFINESBYPROPERTIES('2LoDewHuT9Av7rLDRp4NNw',#52,$,$,(#60),#273);
#277= IFCPROPERTYSET('0KGWE_i1HAmub0rgNypoQ8',#52,'Identity Data',$,(#262,#263,#264));
#279= IFCRELDEFINESBYPROPERTIES('2tUAr0E8LFYP8vSIY2ZAra',#52,$,$,(#60),#277);
#281= IFCPROPERTYSET('3qLC27Y$D8DO0FDbCVReSv',#52,'Constraints',$,(#265));
#283= IFCRELDEFINESBYPROPERTIES('00n$5IWBrCnQNIezUoSJNw',#52,$,$,(#60),#281);
#285= IFCPROPERTYSET('0cAjunbPH3dfKBXitUmBlt',#52,'Graphics',$,(#266,#267,#269,#270,#271,#272));
#287= IFCPROPERTYSET('0b6SGXd89FQugu_k0ApDQL',#52,'Constraints',$,(#268));
#291= IFCRELAGGREGATES('1ZF3dtEIzFseJ74eMSEt4j',#52,$,$,#57,(#60));
#293= IFCPROPERTYSINGLEVALUE('NumberOfStoreys',$,IFCINTEGER(1),$);
#294= IFCPROPERTYSET('0Cj8phqsvAWgzN5w1jwyBK',#52,'Pset_BuildingCommon',$,(#293));
#296= IFCRELDEFINESBYPROPERTIES('0zJS$2Mfn3xfyuyw8VmKIy',#52,$,$,(#57),#294);
#298= IFCPROPERTYSINGLEVALUE('Organization Name',$,IFCLABEL(''),$);
#299= IFCPROPERTYSINGLEVALUE('Project Name',$,IFCLABEL('Project Name'),$);
#300= IFCPROPERTYSINGLEVALUE('Project Address',$,IFCLABEL('Enter address here'),$);
#301= IFCPROPERTYSINGLEVALUE('Author',$,IFCLABEL(''),$);
#302= IFCPROPERTYSINGLEVALUE('Building Name',$,IFCLABEL(''),$);
#303= IFCPROPERTYSINGLEVALUE('Organization Description',$,IFCLABEL(''),$);
#304= IFCPROPERTYSINGLEVALUE('Project Number',$,IFCLABEL('Project Number'),$);
#305= IFCPROPERTYSINGLEVALUE('Project Issue Date',$,IFCLABEL('Issue Date'),$);
#306= IFCPROPERTYSINGLEVALUE('Project Status',$,IFCLABEL('Project Status'),$);
#307= IFCPROPERTYSINGLEVALUE('Client Name',$,IFCLABEL('Owner'),$);
#308= IFCPROPERTYSET('3cN4SE$uj2AuWhqLuXCODb',#52,'Identity Data',$,(#298,#301,#302,#303));
#310= IFCRELDEFINESBYPROPERTIES('3c_FbXsrn7Z83C2OD70a5z',#52,$,$,(#57),#308);
#312= IFCPROPERTYSET('2XQVKl0U903hhgOa08g$Tj',#52,'Other',$,(#299,#300,#304,#305,#306,#307));
#314= IFCRELDEFINESBYPROPERTIES('1xy3zhg8z3iB$iO$sOv4y0',#52,$,$,(#57),#312);
#316= IFCRELASSOCIATESMATERIAL('0I7pgKp1vFWRkHGokja2au',#52,$,$,(#94),#189);
#318= IFCRELASSOCIATESMATERIAL('2F7G86Udv6FenLldfK3zjo',#52,$,$,(#222),#247);
#320= IFCRELDEFINESBYPROPERTIES('07$YlDlub6YwYayTxG8Wxd',#52,$,$,(#94,#115,#222),#169);
#322= IFCRELDEFINESBYPROPERTIES('2goHcEMAj0MQc$h$P_VdpT',#52,$,$,(#94,#115,#222),#171);
#324= IFCRELDEFINESBYPROPERTIES('3fyYY5SnvD5BuYHchLVmrq',#52,$,$,(#94,#115,#222),#173);
#326= IFCRELDEFINESBYPROPERTIES('0OVmFnowL1HgHZa5hob5P9',#52,$,$,(#94,#115,#222),#175);
#328= IFCRELDEFINESBYPROPERTIES('1caV7vyPD1fuHHAI1VGwmB',#52,$,$,(#60),#285);
#332= IFCPRESENTATIONLAYERASSIGNMENT('A-WALL',$,(#74,#90,#109,#208,#218),$);
ENDSEC;

END-ISO-10303-21;
"""


wikipedia : String
wikipedia =
    """ISO-10303-21;
HEADER;
FILE_DESCRIPTION(
/* description */ ('A minimal AP214 example with a single part'),
/* implementation_level */ '2;1');
FILE_NAME(
/* name */ 'demo',
/* time_stamp */ '2003-12-27T11:57:53',
/* author */ ('Lothar Klein'),
/* organization */ ('LKSoft'),
/* preprocessor_version */ ' ',
/* originating_system */ 'IDA-STEP',
/* authorization */ ' ');
FILE_SCHEMA (('AUTOMOTIVE_DESIGN { 1 0 10303 214 2 1 1}'));
ENDSEC;
DATA;
#10=ORGANIZATION('O0001','LKSoft','company');
#11=PRODUCT_DEFINITION_CONTEXT('part definition',#12,'manufacturing');
#12=APPLICATION_CONTEXT('mechanical design');
#13=APPLICATION_PROTOCOL_DEFINITION('','automotive_design',2003,#12);
#14=PRODUCT_DEFINITION('0',$,#15,#11);
#15=PRODUCT_DEFINITION_FORMATION('1',$,#16);
#16=PRODUCT('A0001','Test Part 1','',(#18));
#17=PRODUCT_RELATED_PRODUCT_CATEGORY('part',$,(#16));
#18=PRODUCT_CONTEXT('',#12,'');
#19=APPLIED_ORGANIZATION_ASSIGNMENT(#10,#20,(#16));
#20=ORGANIZATION_ROLE('id owner');
ENDSEC;
END-ISO-10303-21;
"""


ifcR2TestCase : String
ifcR2TestCase =
    """ISO-10303-21;
HEADER;

FILE_DESCRIPTION(
/* description */ ('IFC R2.0 certification, buildings 1'),
/* implementation_level */ '2;1');

FILE_NAME(
/* name */ '22_IFCR2_Buildings_1',
/* time_stamp */ '2001-05-22T13:39:44+03:00',
/* author */ ('BLIS Certification Team'),
/* organization */ ('BLIS -project'),
/* preprocessor_version */ 'ST-DEVELOPER v7',
/* originating_system */ 'BLIS IFC R2.0 Test Cases',
/* authorisation */ 'BLIS');

FILE_SCHEMA (('IFC20_LONGFORM'));
ENDSEC;

DATA;
#10=IFCMATERIALLAYERSETUSAGE(#27,0.,.F.);
#11=IFCMATERIALLAYERSETUSAGE(#27,0.,.F.);
#12=IFCMATERIALLAYERSETUSAGE(#27,0.,.F.);
#13=IFCMATERIALLAYERSETUSAGE(#27,0.,.F.);
#14=IFCMATERIALLAYERSETUSAGE(#27,0.,.F.);
#15=IFCMATERIALLAYERSETUSAGE(#28,0.,.F.);
#16=IFCMATERIALLAYERSETUSAGE(#28,0.,.F.);
#17=IFCMATERIALLAYERSETUSAGE(#27,0.,.F.);
#18=IFCMATERIALLAYERSETUSAGE(#29,0.,.F.);
#19=IFCMATERIALLAYERSETUSAGE(#30,0.,.F.);
#20=IFCMATERIALLAYERSETUSAGE(#31,0.,.F.);
#21=IFCMATERIAL('see layers for Wall Type',$,(),());
#22=IFCMATERIALLAYER(#21,0.,250.);
#23=IFCMATERIALLAYER(#21,0.,100.);
#24=IFCMATERIALLAYER(#21,0.,200.);
#25=IFCMATERIALLAYER(#21,0.,200.);
#26=IFCMATERIALLAYER(#21,0.,200.);
#27=IFCMATERIALLAYERSET((#22),.F.);
#28=IFCMATERIALLAYERSET((#23),.F.);
#29=IFCMATERIALLAYERSET((#24),.F.);
#30=IFCMATERIALLAYERSET((#25),.F.);
#31=IFCMATERIALLAYERSET((#26),.F.);
#32=IFCMANUFACTUREINFORMATION('jx^$uomoMRp^0Ptjxqw1',#1049,$,$,'A-W-32A
','Energy plus / A',#1046,0.,0.,0.,());
#33=IFCMANUFACTUREINFORMATION('05>Y!uhvNxku5k|ozrT~',#1049,$,$,'A-W-32A
','Energy plus / A',#1046,0.,0.,0.,());
#34=IFCMANUFACTUREINFORMATION('JUY@j~%KCLlw<MOo4p%n',#1049,$,$,'A-W-45',
'Opaque light',#1046,0.,0.,0.,());
#35=IFCMANUFACTUREINFORMATION('pgku*j<L|:ssTQV*DsMD',#1049,$,$,'A-D-42',
'French connection',#1046,0.,0.,0.,());
#36=IFCMANUFACTUREINFORMATION('j1ca#E^Sm|pRlh&s8s7O',#1049,$,$,'A-W-32B
','Energy plus / B',#1046,0.,0.,0.,());
#37=IFCMANUFACTUREINFORMATION('L0^--pE*v!q,Zut,F`;k',#1049,$,$,'A-W-32A
','Energy plus / A',#1046,0.,0.,0.,());
#38=IFCMANUFACTUREINFORMATION('5tFvcO>ECPiu`f*i&1+U',#1049,$,$,'A-W-32B
','Energy plus / B',#1046,0.,0.,0.,());
#39=IFCMANUFACTUREINFORMATION('P&bM$gC9vKvhaf;<4=4r',#1049,$,$,'A-W-32A
','Energy plus / A',#1046,0.,0.,0.,());
#40=IFCMANUFACTUREINFORMATION('Muy.nnNUE5ge.u-:cPuR',#1049,$,$,'A-W-32A
','Energy plus / A',#1046,0.,0.,0.,());
#41=IFCMANUFACTUREINFORMATION('/GcM32w>VefVsESh;o>r',#1049,$,$,'A-D-61',
'Steamlock',#1046,0.,0.,0.,());
#42=IFCMANUFACTUREINFORMATION('&M-U8K>g0_rGd<IQd1eb',#1049,$,$,'A-D-16',
'Safety first',#1046,0.,0.,0.,());
#43=IFCRELSEPARATESSPACES('z0ZEEtdT=.vI7z<Kb3mA',#1049,$,.F.,.F.,#249,(#46));
#44=IFCRELSEPARATESSPACES('P4Y9fDwszDsoFJ7ClUt;',#1049,$,.F.,.F.,#248,(#47));
#45=IFCSPACEBOUNDARY('P9SR14317!jM==hV2^?X',#1049,$,$,(),#783,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#46=IFCSPACEBOUNDARY('Bv!Y8|GI~-sMOpgA-u>z',#1049,$,$,(),#784,(),$,.PHYSICAL.,
.NOTDEFINED.,10.5);
#47=IFCSPACEBOUNDARY('%jBz:gg8x*lU7Y-LXA4e',#1049,$,$,(),#785,(),$,.PHYSICAL.,
.NOTDEFINED.,15.57);
#48=IFCSPACEBOUNDARY('JTj16%|3D.ujs%x3~FPr',#1049,$,$,(),#786,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#49=IFCSPACEBOUNDARY('i.bkj=dLnupx*LH5zw*B',#1049,$,$,(),#787,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#50=IFCSPACEBOUNDARY('9:oaZfbvD%s1Kn95yWj_',#1049,$,$,(),#788,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#51=IFCSPACEBOUNDARY('Ds~Z?W64RnjBiuBSK%ne',#1049,$,$,(),#789,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#52=IFCSPACEBOUNDARY('WoEAzZ:&!NlVhy&M-YOZ',#1049,$,$,(),#790,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#53=IFCSPACEBOUNDARY('R`PYAN@xc<h?7SujzJ~#',#1049,$,$,(),#791,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#54=IFCSPACEBOUNDARY('$kJOId2_ZVsgj!=N?/L1',#1049,$,$,(),#792,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#55=IFCSPACEBOUNDARY('&|b!dI-lhlygQiMl/7HV',#1049,$,$,(),#793,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#56=IFCSPACEBOUNDARY(';4LQ.mk:gCql:2%zKe:i',#1049,$,$,(),#794,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#57=IFCSPACEBOUNDARY('uH2`5otjE!tnN>1!+h<9',#1049,$,$,(),#795,(),$,.VIRTUAL.,
.NOTDEFINED.,0.);
#58=IFCRELCONNECTSPATHELEMENTS('Fb<85k^<#njowTcF55:a',#1049,$,.F.,.F.,$,
#248,#251,(),(),.START.,.START.);
#59=IFCRELCONNECTSPATHELEMENTS('zElszPB%cruK$~_J/H9e',#1049,$,.F.,.F.,$,
#248,#249,(),(),.ATEND.,.START.);
#60=IFCRELCONNECTSPATHELEMENTS('aT^wE?TIa1q9<~;96S?A',#1049,$,.F.,.F.,$,
#248,#253,(),(),.ATPATH.,.START.);
#61=IFCRELCONNECTSPATHELEMENTS('>WNZKCQL@ho,wn43bx-T',#1049,$,.F.,.F.,$,
#249,#252,(),(),.ATEND.,.ATEND.);
#62=IFCRELCONNECTSPATHELEMENTS('&N%:Z?b.H>v`Gmr4EQfC',#1049,$,.F.,.F.,$,
#250,#252,(),(),.START.,.START.);
#63=IFCRELCONNECTSPATHELEMENTS('<Rk!L2#ZPcpHD*$|.u^#',#1049,$,.F.,.F.,$,
#250,#255,(),(),.ATEND.,.ATEND.);
#64=IFCRELCONNECTSPATHELEMENTS('>%a:@?a^;Vn?cNXe!CnS',#1049,$,.F.,.F.,$,
#251,#255,(),(),.ATEND.,.START.);
#65=IFCRELCONNECTSPATHELEMENTS('BlJl3zJyNgtjU_J0s`Qv',#1049,$,.F.,.F.,$,
#253,#254,(),(),.ATPATH.,.START.);
#66=IFCRELGROUPS('L^b@1D,TKZoTxmAqpE%A',#1049,$,.T.,.F.,#73,(#88,#85,#82,
#248,#249,#250,#251,#252,#80,#253,#254,#102,#83,#84,#81,#86,#87,#101,#100,
#255));
#67=IFCRELGROUPS('+j~8z-gn0KsPL%%QUhFF',#1049,$,.T.,.F.,#74,(#479,#480,#478));
#68=IFCRELGROUPS('w9pbY^56e?tdWhR+itBK',#1049,$,.T.,.F.,#75,(#248,#249,#250,
#251,#252,#253,#254,#255));
#69=IFCRELGROUPS('&h!e$oDxZ+qTc7Ve37_u',#1049,$,.T.,.F.,#76,(#88,#85,#82,
#83,#84,#81,#86,#87));
#70=IFCRELGROUPS('92vuI$*n<AkW|G3Vlkjd',#1049,$,.T.,.F.,#77,(#102,#101,#100));
#71=IFCRELGROUPS('4+?DF20KkOpAf+_O_r|~',#1049,$,.T.,.F.,#78,(#127,#125,#126));
#72=IFCRELGROUPS('BqoZMUSdmlr+vu%W+s$s',#1049,$,.T.,.F.,#79,(#80));
#73=IFCGROUP('>zvD-xwk>wk9S-P4x/o#',#1049,$,$,(),'Building Envelope');
#74=IFCGROUP('I~iyecJW9$o_4irstHi$',#1049,$,$,(),'Space');
#75=IFCGROUP('-G,n?d=`_%ptOSbCtrFA',#1049,$,$,(),'Wall');
#76=IFCGROUP('=RY46=rS+`xMZaV|7F=L',#1049,$,$,(),'Window');
#77=IFCGROUP('TNxa_Kt<dEh?~!Ka<ckB',#1049,$,$,(),'Door');
#78=IFCGROUP('%jxk%-Nwnjv%Rd_=6KID',#1049,$,$,(),'Slab');
#79=IFCGROUP('vGyZLxHLx!y^*Y<~Z8yT',#1049,$,$,(),'Column');
#80=IFCCOLUMN('iL_;Bkby_zkQw#7Fzzwk',#1049,'Rectangular column',$,(),#782,
(#477),$,$,0.,0.);
#81=IFCWINDOW('a@ae3k/qf`w=slF/,,=!',#1049,'Window.142','Fixed',(),#774,
(),$,$);
#82=IFCWINDOW('3cgnX4:Cr=n9fwDChpDk',#1049,'Window.52','Fixed',(),#775,(),
$,$);
#83=IFCWINDOW('a@ad@k/qf`w=slF/,,=!',#1049,'Window.152','Fixed',(),#776,
(),$,$);
#84=IFCWINDOW('a@ae1k/qf`w=slF/,,=!',#1049,'Window.122','Fixed',(),#777,
(),$,$);
#85=IFCWINDOW('ye5RgaO>GfzO`a$w`u-z',#1049,'Window.32','Fixed',(),#778,(),
$,$);
#86=IFCWINDOW('a@ae2k/qf`w=slF/,,=!',#1049,'Window.132','Fixed',(),#779,
(),$,$);
#87=IFCWINDOW('a@ae0k/qf`w=slF/,,=!',#1049,'Window','Fixed',(),#780,(),$,
$);
#88=IFCWINDOW('RAkkwbx1/Onpr@T-_9`k',#1049,'Window.22','Fixed',(),#781,(),
$,$);
#89=IFCRELFILLSELEMENT('1K&>#mDNlzl?NCz+1%>#',#1049,$,.F.,.F.,#115,#100);
#90=IFCRELFILLSELEMENT('6k;/x&Fn!pwR2H>~Quma',#1049,$,.F.,.F.,#116,#101);
#91=IFCRELFILLSELEMENT('mQ9Z&CHqZ/nq3!F1hgil',#1049,$,.F.,.F.,#117,#102);
#92=IFCRELFILLSELEMENT('0jm<3KLSSTw77g?=1qAE',#1049,$,.F.,.F.,#114,#81);
#93=IFCRELFILLSELEMENT('VE*kFBeX.`oqV4.R.m0s',#1049,$,.F.,.F.,#118,#82);
#94=IFCRELFILLSELEMENT('$Pl!cpWRIrq8apxMe:<x',#1049,$,.F.,.F.,#119,#83);
#95=IFCRELFILLSELEMENT('79hk?3rI`~r_~agK#Qio',#1049,$,.F.,.F.,#120,#84);
#96=IFCRELFILLSELEMENT('u8bS0d8bEayXBXI03Jh-',#1049,$,.F.,.F.,#121,#85);
#97=IFCRELFILLSELEMENT('p42`NqJ&C.g~;hMieF?v',#1049,$,.F.,.F.,#122,#86);
#98=IFCRELFILLSELEMENT('w~sDODauHUjol$Fxt;`R',#1049,$,.F.,.F.,#123,#87);
#99=IFCRELFILLSELEMENT('DpOJA7<.v%v/UxCjtc~-',#1049,$,.F.,.F.,#124,#88);
#100=IFCDOOR('a@ad/k/qf`w=slF/,,=!',#1049,'Door','SingleSwing',(),#771,(),
$,$);
#101=IFCDOOR('V/vz7k;RrDw=slF/,,=!',#1049,'Door.82','SingleSwing',(),#772,
(),$,$);
#102=IFCDOOR('V/vz5k;RrDw=slF/,,=!',#1049,'Double','DoubleSwing',(),#773,
(),$,$);
#103=IFCRELVOIDSELEMENT('2%U/ViB&/#ym.<|!N5!7',#1049,$,.F.,.F.,#249,#114);
#104=IFCRELVOIDSELEMENT('u-um4F^6C=mF,Uyo$98g',#1049,$,.F.,.F.,#252,#115);
#105=IFCRELVOIDSELEMENT('y9C~!MV^3jy:JI<Fx>0i',#1049,$,.F.,.F.,#254,#116);
#106=IFCRELVOIDSELEMENT('60o.^T82yRsl;Jchj3%0',#1049,$,.F.,.F.,#253,#117);
#107=IFCRELVOIDSELEMENT(':-3A+>UBK>okTMN7tbiU',#1049,$,.F.,.F.,#253,#118);
#108=IFCRELVOIDSELEMENT('8_Al!C`611i~eh2WCC$/',#1049,$,.F.,.F.,#255,#119);
#109=IFCRELVOIDSELEMENT('R&N2dw<E?xqfo$_8pZ+y',#1049,$,.F.,.F.,#251,#120);
#110=IFCRELVOIDSELEMENT('In+F&%dSA>fQNEhW$>Vn',#1049,$,.F.,.F.,#251,#121);
#111=IFCRELVOIDSELEMENT('kGuW~a<`Ssj?.Ie;PbEe',#1049,$,.F.,.F.,#251,#122);
#112=IFCRELVOIDSELEMENT('c~Y4yDhx.dia=_csEa>n',#1049,$,.F.,.F.,#251,#123);
#113=IFCRELVOIDSELEMENT('dws%<I3rB4u.$*.c%qd.',#1049,$,.F.,.F.,#251,#124);
#114=IFCOPENINGELEMENT('J?A`8FJnhLz6|oLKiDZr',#1049,$,$,(),#760,(#466),$,
1.2);
#115=IFCOPENINGELEMENT('FN>H~e:g;GktjjRF8wTg',#1049,$,$,(),#761,(#467),$,
1.93);
#116=IFCOPENINGELEMENT('g,=#$7@?%ahD?E5!&9.e',#1049,$,$,(),#762,(#468),$,
1.93);
#117=IFCOPENINGELEMENT('lwXM4y2VKBn$/RGK4?6q',#1049,$,$,(),#763,(#469),$,
3.44);
#118=IFCOPENINGELEMENT('aYY0H21iM2jnw5RONFLY',#1049,$,$,(),#764,(#470),$,
0.75);
#119=IFCOPENINGELEMENT('?6k!gallU`rcS^j1zDA2',#1049,$,$,(),#765,(#471),$,
1.2);
#120=IFCOPENINGELEMENT('qFU`js:;?ds6X+Y,=J<d',#1049,$,$,(),#766,(#472),$,
3.1);
#121=IFCOPENINGELEMENT('<5B1qD#%PPgk$>I2Zgg$',#1049,$,$,(),#767,(#473),$,
3.1);
#122=IFCOPENINGELEMENT('msLKG9&kxKlXppjSw*n#',#1049,$,$,(),#768,(#474),$,
3.1);
#123=IFCOPENINGELEMENT('QCK+Tewsjji3lP!.?1-L',#1049,$,$,(),#769,(#475),$,
3.1);
#124=IFCOPENINGELEMENT('j7_EgtP|Ods4^&0$KFL%',#1049,$,$,(),#770,(#476),$,
3.1);
#125=IFCSLAB('Z*Vb?X.tL6opF`o4Z2lG',#1049,'Slab.21',$,(),#757,(#463),$,*,
.FLOOR.,#18,5.98,1.2);
#126=IFCSLAB('T+z4H,%d:Bj@8Lrhn$M_',#1049,'Slab',$,(),#758,(#464),$,*,.FLOOR.,
#19,68.95,13.79);
#127=IFCSLAB('HFE7/K|Xv$p0CK$<KPnH',#1049,'Slab.20',$,(),#759,(#465),$,*,
.ROOF.,#20,68.95,13.79);
#128=IFCAXIS2PLACEMENT2D(#829,$);
#129=IFCAXIS2PLACEMENT2D(#833,$);
#130=IFCAXIS2PLACEMENT2D(#837,$);
#131=IFCAXIS2PLACEMENT2D(#841,$);
#132=IFCAXIS2PLACEMENT2D(#845,$);
#133=IFCAXIS2PLACEMENT2D(#849,$);
#134=IFCAXIS2PLACEMENT2D(#853,$);
#135=IFCAXIS2PLACEMENT2D(#857,$);
#136=IFCAXIS2PLACEMENT2D(#888,$);
#137=IFCAXIS2PLACEMENT2D(#892,$);
#138=IFCAXIS2PLACEMENT2D(#896,$);
#139=IFCAXIS2PLACEMENT2D(#900,$);
#140=IFCAXIS2PLACEMENT2D(#904,$);
#141=IFCAXIS2PLACEMENT2D(#908,$);
#142=IFCAXIS2PLACEMENT2D(#912,$);
#143=IFCAXIS2PLACEMENT2D(#916,$);
#144=IFCAXIS2PLACEMENT2D(#920,$);
#145=IFCAXIS2PLACEMENT2D(#924,$);
#146=IFCAXIS2PLACEMENT2D(#928,$);
#147=IFCAXIS2PLACEMENT2D(#944,$);
#148=IFCRECTANGLEPROFILEDEF(#128,.AREA.,3500.,250.);
#149=IFCRECTANGLEPROFILEDEF(#129,.AREA.,3500.,250.);
#150=IFCRECTANGLEPROFILEDEF(#130,.AREA.,3500.,250.);
#151=IFCRECTANGLEPROFILEDEF(#131,.AREA.,3500.,250.);
#152=IFCRECTANGLEPROFILEDEF(#132,.AREA.,3500.,250.);
#153=IFCRECTANGLEPROFILEDEF(#133,.AREA.,3500.,100.);
#154=IFCRECTANGLEPROFILEDEF(#134,.AREA.,3500.,100.);
#155=IFCRECTANGLEPROFILEDEF(#135,.AREA.,3500.,250.);
#156=IFCRECTANGLEPROFILEDEF(#136,.AREA.,750.,1600.);
#157=IFCRECTANGLEPROFILEDEF(#137,.AREA.,900.,2150.);
#158=IFCRECTANGLEPROFILEDEF(#138,.AREA.,900.,2150.);
#159=IFCRECTANGLEPROFILEDEF(#139,.AREA.,1600.,2150.);
#160=IFCRECTANGLEPROFILEDEF(#140,.AREA.,2500.,300.);
#161=IFCRECTANGLEPROFILEDEF(#141,.AREA.,750.,1600.);
#162=IFCRECTANGLEPROFILEDEF(#142,.AREA.,1000.,3100.);
#163=IFCRECTANGLEPROFILEDEF(#143,.AREA.,1000.,3100.);
#164=IFCRECTANGLEPROFILEDEF(#144,.AREA.,1000.,3100.);
#165=IFCRECTANGLEPROFILEDEF(#145,.AREA.,1000.,3100.);
#166=IFCRECTANGLEPROFILEDEF(#146,.AREA.,1000.,3100.);
#167=IFCRECTANGLEPROFILEDEF(#147,.AREA.,250.,250.);
#168=IFCDIRECTION((1.,0.,0.));
#169=IFCDIRECTION((0.,0.,1.));
#170=IFCDIRECTION((0.,0.,1.));
#171=IFCDIRECTION((0.,-1.,0.));
#172=IFCDIRECTION((1.,0.,0.));
#173=IFCDIRECTION((0.,0.,1.));
#174=IFCDIRECTION((0.,0.,1.));
#175=IFCDIRECTION((0.,-1.,0.));
#176=IFCDIRECTION((1.,0.,0.));
#177=IFCDIRECTION((0.,0.,1.));
#178=IFCDIRECTION((0.,0.,1.));
#179=IFCDIRECTION((-0.316227766016851,-0.948683298050526,0.));
#180=IFCDIRECTION((1.,0.,0.));
#181=IFCDIRECTION((0.,0.,1.));
#182=IFCDIRECTION((1.,0.,0.));
#183=IFCDIRECTION((0.,0.,1.));
#184=IFCDIRECTION((0.,0.,1.));
#185=IFCDIRECTION((6.14704731560778E-010,-1.,0.));
#186=IFCDIRECTION((1.,0.,0.));
#187=IFCDIRECTION((0.,0.,1.));
#188=IFCDIRECTION((0.,0.,1.));
#189=IFCDIRECTION((1.,4.09784206567565E-010,0.));
#190=IFCDIRECTION((1.,0.,0.));
#191=IFCDIRECTION((0.,0.,1.));
#192=IFCDIRECTION((0.,0.,1.));
#193=IFCDIRECTION((0.999999999991019,4.23867902554775E-006,0.));
#194=IFCDIRECTION((1.,0.,0.));
#195=IFCDIRECTION((0.,0.,1.));
#196=IFCDIRECTION((0.,-1.,0.));
#197=IFCDIRECTION((1.,0.,0.));
#198=IFCDIRECTION((0.,-1.,0.));
#199=IFCDIRECTION((1.,0.,0.));
#200=IFCDIRECTION((0.,-1.,0.));
#201=IFCDIRECTION((1.,0.,0.));
#202=IFCDIRECTION((0.,-1.,0.));
#203=IFCDIRECTION((1.,0.,0.));
#204=IFCDIRECTION((0.,-1.,0.));
#205=IFCDIRECTION((1.,0.,0.));
#206=IFCDIRECTION((0.,-1.,0.));
#207=IFCDIRECTION((1.,0.,0.));
#208=IFCDIRECTION((0.,-1.,0.));
#209=IFCDIRECTION((1.,0.,0.));
#210=IFCDIRECTION((0.,-1.,0.));
#211=IFCDIRECTION((1.,0.,0.));
#212=IFCDIRECTION((0.,-1.,0.));
#213=IFCDIRECTION((1.,0.,0.));
#214=IFCDIRECTION((0.,-1.,0.));
#215=IFCDIRECTION((1.,0.,0.));
#216=IFCDIRECTION((0.,-1.,0.));
#217=IFCDIRECTION((1.,0.,0.));
#218=IFCDIRECTION((0.,0.,1.));
#219=IFCDIRECTION((-1.,0.,0.));
#220=IFCDIRECTION((0.,0.,1.));
#221=IFCDIRECTION((-1.,0.,0.));
#222=IFCDIRECTION((0.,0.,1.));
#223=IFCDIRECTION((2000.,0.,0.));
#224=IFCDIRECTION((0.,0.,1.));
#225=IFCDIRECTION((0.,3000.00000051226,0.));
#226=IFCDIRECTION((0.,0.,1.));
#227=IFCDIRECTION((-4449.99999569703,0.,0.));
#228=IFCDIRECTION((0.,0.,1.));
#229=IFCDIRECTION((0.,-3000.00000051226,0.));
#230=IFCDIRECTION((0.,0.,1.));
#231=IFCDIRECTION((2449.99999569703,0.,0.));
#232=IFCDIRECTION((0.,0.,1.));
#233=IFCDIRECTION((-5449.675,0.,0.));
#234=IFCDIRECTION((0.,0.,1.));
#235=IFCDIRECTION((-2000.325,-6000.,0.));
#236=IFCDIRECTION((0.,0.,1.));
#237=IFCDIRECTION((7450.,0.,0.));
#238=IFCDIRECTION((0.,0.,1.));
#239=IFCDIRECTION((0.,6000.,0.));
#240=IFCDIRECTION((0.,0.,1.));
#241=IFCDIRECTION((0.,-2900.,0.));
#242=IFCDIRECTION((0.,0.,1.));
#243=IFCDIRECTION((2450.,0.,0.));
#244=IFCDIRECTION((0.,0.,1.));
#245=IFCDIRECTION((0.,2900.,0.));
#246=IFCDIRECTION((0.,0.,1.));
#247=IFCDIRECTION((-2450.,0.,0.));
#248=IFCWALL('gRB*gk/YT?w=slF/,,=!',#1049,'Wall',$,(),#749,(#455),$,*,#10,
35.,8.75);
#249=IFCWALL('a@ad,k/qf`w=slF/,,=!',#1049,'Wall.18',$,(),#750,(#456),$,*,
#11,10.5,2.62);
#250=IFCWALL('a@ad+k/qf`w=slF/,,=!',#1049,'Wall.25',$,(),#751,(#457),$,*,
#12,10.5,2.62);
#251=IFCWALL('gRB*jk/YT?w=slF/,,=!',#1049,'Wall.32',$,(),#752,(#458),$,*,
#13,22.14,5.53);
#252=IFCWALL('gRB*ik/YT?w=slF/,,=!',#1049,'Wall.39',$,(),#753,(#459),$,*,
#14,7.,1.75);
#253=IFCWALL('a@ad-k/qf`w=slF/,,=!',#1049,'Wall.46',$,(),#754,(#460),$,*,
#15,21.,2.1);
#254=IFCWALL('a@ad.k/qf`w=slF/,,=!',#1049,'Wall.53',$,(),#755,(#461),$,*,
#16,8.75,0.88);
#255=IFCWALL('h$|7Nv`mAGql<itZd;j~',#1049,'Wall.225',$,(),#756,(#462),$,
*,#17,35.,8.75);
#256=IFCOCCUPANCYNUMBER('f/l?xY==`jy^Ihpww8s8',#1049,$,2,4,0,0,$,0,0,$,0,
0,$,1.E-012,1.E-012);
#257=IFCOCCUPANCYNUMBER('%f3mtBr8L5iM*ww|6sSS',#1049,$,3,10,0,0,$,0,0,$,
0,0,$,1.E-012,1.E-012);
#258=IFCOCCUPANCYNUMBER('K^Mj*e@hbnw!NM3d5ZHv',#1049,$,1,1,0,0,$,0,0,$,0,
0,$,1.E-012,1.E-012);
#259=IFCPROPERTYSET('.Mm<<.hV-3xljd8agy80',#1049,$,'Pset_SpaceCommon',(#488));
#260=IFCPROPERTYSET('Os9O93_fm:t<?1S/1C`<',#1049,$,'Pset_SpaceCommon',(#489));
#261=IFCPROPERTYSET('#Tt*bpJ>%rh3N+$XXwBi',#1049,$,'Pset_SpaceCommon',(#490));
#262=IFCPROPERTYSET('4?&%nCU8%7lhaP`0w61*',#1049,$,'Pset_WallCommon',(#491,
#492,#493,#494));
#263=IFCPROPERTYSET('->o_9J1-@Pnl_f7D.t3O',#1049,$,'Pset_WallCommon',(#495,
#496,#497,#498));
#264=IFCPROPERTYSET('r~$ahKxs+AzW&=Mt2?Y1',#1049,$,'Pset_WallCommon',(#499,
#500,#501,#502));
#265=IFCPROPERTYSET('^:%A|b^/xtgV2r8>`iO&',#1049,$,'Pset_WallCommon',(#503,
#504,#505,#506));
#266=IFCPROPERTYSET('^_wsE53|;%hJ=ys//u_y',#1049,$,'Pset_WallCommon',(#507,
#508,#509,#510));
#267=IFCPROPERTYSET('bf;Y%|XhUOr7-#BQ77@B',#1049,$,'Pset_WallCommon',(#511,
#512,#513,#514));
#268=IFCPROPERTYSET('!Yf2va5F^4u4664PcLZj',#1049,$,'Pset_WallCommon',(#515,
#516,#517,#518));
#269=IFCPROPERTYSET('!$Tdh1=iA|nZRqr*WlU^',#1049,$,'Pset_WallCommon',(#519,
#520,#521,#522));
#270=IFCPROPERTYSET('pUPHale.rHl68F3*bGs=',#1049,$,'Pset_SlabCommon',(#523,
#524,#525));
#271=IFCPROPERTYSET('pi-,ER!&6ktH4,rq$KAe',#1049,$,'Pset_SlabCommon',(#526,
#527,#528));
#272=IFCPROPERTYSET('uvA9TsdYo:u!iXU>B.Vq',#1049,$,'Pset_SlabCommon',(#529,
#530,#531));
#273=IFCPROPERTYSET('smR/uey_BftZH*^>,#5z',#1049,$,'Pset_DoorCommon',(#532,
#533,#534,#535,#537,#538,#539,#540));
#274=IFCPROPERTYSET('X&o#WC*w^etMZ.XuG#LQ',#1049,$,'Pset_HardwareGroup',
(#536));
#275=IFCPROPERTYSET('*4I0Ak#Rx0qI2YWZqSi=',#1049,$,
'Pset_DoorLiningCommon',(#541,#542));
#276=IFCPROPERTYSET('TkZaJFPumEr^NSjHzy9q',#1049,$,
'Pset_DoorPanelSwinging',(#543));
#277=IFCPROPERTYSET('9oHsnWd/xSmMkb3.sATC',#1049,$,'Pset_DoorCommon',(#545,
#546,#547,#548,#550,#551,#552,#553));
#278=IFCPROPERTYSET('TvVajfk~bxt.9ul|Y,Xq',#1049,$,'Pset_HardwareGroup',
(#549));
#279=IFCPROPERTYSET('#3xfiuE9qDnEcukT4yXm',#1049,$,
'Pset_DoorLiningCommon',(#554,#555));
#280=IFCPROPERTYSET('.ih^E0Zc<VnYa9G4a7-+',#1049,$,
'Pset_DoorPanelSwinging',(#556));
#281=IFCPROPERTYSET('bQq3HncYnljN-$i~pc-5',#1049,$,'Pset_DoorCommon',(#558,
#559,#560,#561,#563,#564,#565,#566));
#282=IFCPROPERTYSET('prM7-0rO0Wt8ncFYqJ-A',#1049,$,'Pset_HardwareGroup',
(#562));
#283=IFCPROPERTYSET('/$:QKfEG!gw?|VgM3,v|',#1049,$,
'Pset_DoorLiningCommon',(#567,#568));
#284=IFCPROPERTYSET('V9d6<orgvthW/uUpDVxC',#1049,$,
'Pset_DoorPanelSwinging',(#569));
#285=IFCPROPERTYSET('cxXzxwe;M2sdx>pqiBYy',#1049,$,'Pset_WindowCommon',(#571,
#572,#573,#574,#576,#577,#578,#579));
#286=IFCPROPERTYSET('Y9qKb|Zs+:s2Ad>P?m;Q',#1049,$,'Pset_HardwareGroup',
(#575));
#287=IFCPROPERTYSET(';^i/f!wOH3z0GskSHzN>',#1049,$,
'Pset_WindowLiningCommon',(#580,#581));
#288=IFCPROPERTYSET('g^qP00WwL,j.$fpk&CQ>',#1049,$,'Pset_WindowCommon',(#582,
#583,#584,#585,#587,#588,#589,#590));
#289=IFCPROPERTYSET(':q@DfIJQfGg2-|ajYOJQ',#1049,$,'Pset_HardwareGroup',
(#586));
#290=IFCPROPERTYSET('6^$;*g,J`~s~a:+MaB%D',#1049,$,
'Pset_WindowLiningCommon',(#591,#592));
#291=IFCPROPERTYSET('Uc.B$|#=xjwt;Eb9OdMf',#1049,$,'Pset_WindowCommon',(#593,
#594,#595,#596,#598,#599,#600,#601));
#292=IFCPROPERTYSET('Oud4pl6pa$q-LJUIc&28',#1049,$,'Pset_HardwareGroup',
(#597));
#293=IFCPROPERTYSET('8|<n=Kk?kDoKYtm%:4+j',#1049,$,
'Pset_WindowLiningCommon',(#602,#603));
#294=IFCPROPERTYSET('!84UH73oa!l>Ujh&uNn^',#1049,$,'Pset_WindowCommon',(#604,
#605,#606,#607,#609,#610,#611,#612));
#295=IFCPROPERTYSET('Q$C=RF$PD`p8~;;:jL.0',#1049,$,'Pset_HardwareGroup',
(#608));
#296=IFCPROPERTYSET('KP17pQea44x@AC4i*#$.',#1049,$,
'Pset_WindowLiningCommon',(#613,#614));
#297=IFCPROPERTYSET('cp+#*/^A2vom9%>Or|zb',#1049,$,'Pset_WindowCommon',(#615,
#616,#617,#618,#620,#621,#622,#623));
#298=IFCPROPERTYSET('x-RQ923JgCm7A*TRo^H<',#1049,$,'Pset_HardwareGroup',
(#619));
#299=IFCPROPERTYSET('%G,3$d<|1MlaW19,jQAi',#1049,$,
'Pset_WindowLiningCommon',(#624,#625));
#300=IFCPROPERTYSET('wlSp~Abv|YlGc9b-zn$<',#1049,$,'Pset_WindowCommon',(#626,
#627,#628,#629,#631,#632,#633,#634));
#301=IFCPROPERTYSET('6<gq,$uLbIwle`26~X$>',#1049,$,'Pset_HardwareGroup',
(#630));
#302=IFCPROPERTYSET('oP$3uedSKBr|<A%P5I7;',#1049,$,
'Pset_WindowLiningCommon',(#635,#636));
#303=IFCPROPERTYSET('y1_i,fFMSpp$<GkWs@L~',#1049,$,'Pset_WindowCommon',(#637,
#638,#639,#640,#642,#643,#644,#645));
#304=IFCPROPERTYSET('C#!84ta45LgobtWbDI-X',#1049,$,'Pset_HardwareGroup',
(#641));
#305=IFCPROPERTYSET('8Ucx:s|bE|k;V!!hozGI',#1049,$,
'Pset_WindowLiningCommon',(#646,#647));
#306=IFCPROPERTYSET('tEM&uzYRrdh2t%0PkjlM',#1049,$,'Pset_WindowCommon',(#648,
#649,#650,#651,#653,#654,#655,#656));
#307=IFCPROPERTYSET('4S0qAJ4r>%hgl6Rm6hW:',#1049,$,'Pset_HardwareGroup',
(#652));
#308=IFCPROPERTYSET('U@>mEn_=`qrHVJ3zJy1$',#1049,$,
'Pset_WindowLiningCommon',(#657,#658));
#309=IFCPROPERTYSET('Pn+p->YXq8w?3>qo@~Nx',#1049,$,'Pset_ColumnCommon',(#659,
#660,#661,#662));
#310=IFCPOLYLINE((#804,#805,#806,#807,#808,#809));
#311=IFCPOLYLINE((#813,#814,#815,#816,#817));
#312=IFCPOLYLINE((#821,#822,#823,#824,#825));
#313=IFCPOLYLINE((#861,#862,#863,#864,#865));
#314=IFCPOLYLINE((#869,#870,#871,#872,#873,#874,#875));
#315=IFCPOLYLINE((#879,#880,#881,#882,#883,#884,#885));
#316=IFCARBITRARYPROFILEDEF(*,.AREA.,#310);
#317=IFCARBITRARYPROFILEDEF(*,.AREA.,#311);
#318=IFCARBITRARYPROFILEDEF(*,.AREA.,#312);
#319=IFCARBITRARYPROFILEDEF(*,.AREA.,#313);
#320=IFCARBITRARYPROFILEDEF(*,.AREA.,#314);
#321=IFCARBITRARYPROFILEDEF(*,.AREA.,#315);
#322=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,3500.,#963,#316);
#323=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,3500.,#965,#317);
#324=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,3500.,#967,#318);
#325=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,10000.,#969,#148);
#326=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,3000.,#971,#149);
#327=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,3000.,#973,#150);
#328=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,6325.,#975,#151);
#329=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,2000.,#977,#152);
#330=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,6000.,#979,#153);
#331=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,2500.,#981,#154);
#332=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,10000.,#983,#155);
#333=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,200.,#985,#319);
#334=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,200.,#987,#320);
#335=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,200.,#989,#321);
#336=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,250.,#991,#156);
#337=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,250.,#993,#157);
#338=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,100.,#995,#158);
#339=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,100.,#997,#159);
#340=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,100.,#999,#160);
#341=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,250.,#1001,#161);
#342=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,250.,#1003,#162);
#343=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,250.,#1005,#163);
#344=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,250.,#1007,#164);
#345=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,250.,#1009,#165);
#346=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,250.,#1011,#166);
#347=IFCATTDRIVENEXTRUDEDSEGMENT(*,*,3500.,#1024,#167);
#348=IFCATTDRIVENEXTRUDEDSOLID((#322));
#349=IFCATTDRIVENEXTRUDEDSOLID((#323));
#350=IFCATTDRIVENEXTRUDEDSOLID((#324));
#351=IFCATTDRIVENEXTRUDEDSOLID((#325));
#352=IFCATTDRIVENEXTRUDEDSOLID((#326));
#353=IFCATTDRIVENEXTRUDEDSOLID((#327));
#354=IFCATTDRIVENEXTRUDEDSOLID((#328));
#355=IFCATTDRIVENEXTRUDEDSOLID((#329));
#356=IFCATTDRIVENEXTRUDEDSOLID((#330));
#357=IFCATTDRIVENEXTRUDEDSOLID((#331));
#358=IFCATTDRIVENEXTRUDEDSOLID((#332));
#359=IFCATTDRIVENEXTRUDEDSOLID((#333));
#360=IFCATTDRIVENEXTRUDEDSOLID((#334));
#361=IFCATTDRIVENEXTRUDEDSOLID((#335));
#362=IFCATTDRIVENEXTRUDEDSOLID((#336));
#363=IFCATTDRIVENEXTRUDEDSOLID((#337));
#364=IFCATTDRIVENEXTRUDEDSOLID((#338));
#365=IFCATTDRIVENEXTRUDEDSOLID((#339));
#366=IFCATTDRIVENEXTRUDEDSOLID((#340));
#367=IFCATTDRIVENEXTRUDEDSOLID((#341));
#368=IFCATTDRIVENEXTRUDEDSOLID((#342));
#369=IFCATTDRIVENEXTRUDEDSOLID((#343));
#370=IFCATTDRIVENEXTRUDEDSOLID((#344));
#371=IFCATTDRIVENEXTRUDEDSOLID((#345));
#372=IFCATTDRIVENEXTRUDEDSOLID((#346));
#373=IFCATTDRIVENEXTRUDEDSOLID((#347));
#374=IFCBOUNDINGBOX(#802,4450.,3000.,3500.);
#375=IFCBOUNDINGBOX(#811,7450.,6000.,3500.);
#376=IFCBOUNDINGBOX(#819,2450.,2900.,3500.);
#377=IFCBOUNDINGBOX(#827,10000.,250.,3500.);
#378=IFCBOUNDINGBOX(#831,3000.,250.,3500.);
#379=IFCBOUNDINGBOX(#835,3000.,250.,3500.);
#380=IFCBOUNDINGBOX(#839,6325.,250.,3500.);
#381=IFCBOUNDINGBOX(#843,2000.,250.,3500.);
#382=IFCBOUNDINGBOX(#847,6000.,100.,3500.);
#383=IFCBOUNDINGBOX(#851,2500.,100.,3500.);
#384=IFCBOUNDINGBOX(#855,10000.,250.,3500.);
#385=IFCBOUNDINGBOX(#859,1999.,3003.,200.);
#386=IFCBOUNDINGBOX(#867,12602.,6513.,200.);
#387=IFCBOUNDINGBOX(#877,12602.,6513.,200.);
#388=IFCBOUNDINGBOX(#889,750.,250.,1600.);
#389=IFCBOUNDINGBOX(#893,900.,250.,2150.);
#390=IFCBOUNDINGBOX(#897,900.,100.,2150.);
#391=IFCBOUNDINGBOX(#901,1600.,100.,2150.);
#392=IFCBOUNDINGBOX(#905,2500.,100.,300.);
#393=IFCBOUNDINGBOX(#909,750.,250.,1600.);
#394=IFCBOUNDINGBOX(#913,1000.,250.,3100.);
#395=IFCBOUNDINGBOX(#917,1000.,250.,3100.);
#396=IFCBOUNDINGBOX(#921,1000.,250.,3100.);
#397=IFCBOUNDINGBOX(#925,1000.,250.,3100.);
#398=IFCBOUNDINGBOX(#929,1000.,250.,3100.);
#399=IFCBOUNDINGBOX(#942,250.,250.,3500.);
#400=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#374));
#401=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#348));
#402=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#375));
#403=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#349));
#404=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#376));
#405=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#350));
#406=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#377));
#407=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#351));
#408=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#378));
#409=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#352));
#410=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#379));
#411=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#353));
#412=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#380));
#413=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#354));
#414=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#381));
#415=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#355));
#416=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#382));
#417=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#356));
#418=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#383));
#419=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#357));
#420=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#384));
#421=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#358));
#422=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#385));
#423=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#359));
#424=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#386));
#425=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#360));
#426=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#387));
#427=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#361));
#428=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#362));
#429=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#388));
#430=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#363));
#431=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#389));
#432=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#364));
#433=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#390));
#434=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#365));
#435=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#391));
#436=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#366));
#437=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#392));
#438=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#367));
#439=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#393));
#440=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#368));
#441=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#394));
#442=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#369));
#443=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#395));
#444=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#370));
#445=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#396));
#446=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#371));
#447=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#397));
#448=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#372));
#449=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#398));
#450=IFCSHAPEREPRESENTATION(#1050,'IAI','BoundingBox',(#399));
#451=IFCSHAPEREPRESENTATION(#1050,'IAI','Standard',(#373));
#452=IFCPRODUCTDEFINITIONSHAPE('BJi%=UKB|,yV18D26U>`',#1049,$,$,(#400,#401));
#453=IFCPRODUCTDEFINITIONSHAPE('?`eAjWv<adlqsp9ugr2A',#1049,$,$,(#402,#403));
#454=IFCPRODUCTDEFINITIONSHAPE('-t3JA0vt!<iO9u5e$oH%',#1049,$,$,(#404,#405));
#455=IFCPRODUCTDEFINITIONSHAPE('>9OF,H!nmQsE^4^/%?M@',#1049,$,$,(#406,#407));
#456=IFCPRODUCTDEFINITIONSHAPE('<^ax$652rHvRZ@y%cG@Z',#1049,$,$,(#408,#409));
#457=IFCPRODUCTDEFINITIONSHAPE('OzX.jMnptNsEBf5AG,ji',#1049,$,$,(#410,#411));
#458=IFCPRODUCTDEFINITIONSHAPE('0RrLTFcU~EsDtS!dvqVW',#1049,$,$,(#412,#413));
#459=IFCPRODUCTDEFINITIONSHAPE('+kCA$jhjzuv*e$bMYTB^',#1049,$,$,(#414,#415));
#460=IFCPRODUCTDEFINITIONSHAPE('ipEh9cF9Q@rnmp$;U`h|',#1049,$,$,(#416,#417));
#461=IFCPRODUCTDEFINITIONSHAPE('?mU%Z=yf#Cko`l/*Xxbb',#1049,$,$,(#418,#419));
#462=IFCPRODUCTDEFINITIONSHAPE('L>tF81?bJ0jogW4gHCq:',#1049,$,$,(#420,#421));
#463=IFCPRODUCTDEFINITIONSHAPE('8Jk|7PnSSUmU6$qclYOP',#1049,$,$,(#422,#423));
#464=IFCPRODUCTDEFINITIONSHAPE('/OE>^g_^1~x&/qmF$MLg',#1049,$,$,(#424,#425));
#465=IFCPRODUCTDEFINITIONSHAPE('i%#<Fbm&dBr,^!9*o|/|',#1049,$,$,(#426,#427));
#466=IFCPRODUCTDEFINITIONSHAPE('*_6ENQ&LHwqtgBTG=,k2',#1049,$,$,(#428,#429));
#467=IFCPRODUCTDEFINITIONSHAPE('+xJ;zK!89pn|SXG1?flg',#1049,$,$,(#430,#431));
#468=IFCPRODUCTDEFINITIONSHAPE('?5hh@y?4y<s0J$.IA#4L',#1049,$,$,(#432,#433));
#469=IFCPRODUCTDEFINITIONSHAPE('<R=g@?e~pUj3Xn7iDJV#',#1049,$,$,(#434,#435));
#470=IFCPRODUCTDEFINITIONSHAPE('3RyQ;B?HhajDw?6#3l2:',#1049,$,$,(#436,#437));
#471=IFCPRODUCTDEFINITIONSHAPE('u73cJ5hG5EgVwqAxW9aY',#1049,$,$,(#438,#439));
#472=IFCPRODUCTDEFINITIONSHAPE('j1L.9$hk%KxMkJv-IWsu',#1049,$,$,(#440,#441));
#473=IFCPRODUCTDEFINITIONSHAPE('X>LT2t5!kjx%F7Ys1VLL',#1049,$,$,(#442,#443));
#474=IFCPRODUCTDEFINITIONSHAPE('K#09gf@2jcy-+G?j8;BF',#1049,$,$,(#444,#445));
#475=IFCPRODUCTDEFINITIONSHAPE('8B1i!y^:x$p/R;vBA,Yi',#1049,$,$,(#446,#447));
#476=IFCPRODUCTDEFINITIONSHAPE('?+&6|3|e*SzQV9J*/3jO',#1049,$,$,(#448,#449));
#477=IFCPRODUCTDEFINITIONSHAPE('U>95ryDvqHfh;EWn~Vn0',#1049,$,$,(#450,#451));
#478=IFCSPACE('V/vzXk;RrDw=slF/,,=!',#1049,'Space.3',$,(),#746,(#452),$,
(#45,#46,#47,#48,#49),.NOTDEFINED.,'02','Kitchen',14900.,13.35,46.72,3500.,
1.E-012,1.E-012,0.);
#479=IFCSPACE('V/vzVk;RrDw=slF/,,=!',#1049,'Space',$,(),#747,(#453),$,(#50,
#51,#52,#53),.NOTDEFINED.,'01','Main',25224.,38.7,135.45,3500.,1.E-012,1.E-012,
0.);
#480=IFCSPACE('V/vzWk;RrDw=slF/,,=!',#1049,'Space.2',$,(),#748,(#454),$,
(#54,#55,#56,#57),.NOTDEFINED.,'03','WC',10700.,7.11,24.89,3500.,1.E-012,
1.E-012,0.);
#481=IFCBUILDINGSTOREY('v^4ycJq@Dag.iER-D3-h',#1049,$,$,(),#745,(),$,$,
'Ground floor',0.,3000.,0.,0.);
#482=IFCBUILDING('u^l+e9n^Y_k~G.K;by=g',#1049,$,$,(),#744,(),$,$,
'Certification building',0.,0.,0.,0.,0.);
#483=IFCSIMPLEPROPERTY('AddressStreet1',IFCSTRING('The street'));
#484=IFCSIMPLEPROPERTY('AddressCity',IFCSTRING('The city'));
#485=IFCSIMPLEPROPERTY('AddressRegion',IFCSTRING('The region'));
#486=IFCSIMPLEPROPERTY('AddressCountry',IFCSTRING('The country'));
#487=IFCSIMPLEPROPERTY('AddressPostalCode',IFCSTRING('21012'));
#488=IFCSIMPLEPROPERTY('Description',IFCSTRING('HeatingKitchen'));
#489=IFCSIMPLEPROPERTY('Description',IFCSTRING('DiningRoom'));
#490=IFCSIMPLEPROPERTY('Description',IFCSTRING('Toilet'));
#491=IFCSIMPLEPROPERTY('Reference',IFCSTRING('EW-1'));
#492=IFCSIMPLEPROPERTY('Description',IFCSTRING('Exterior wall type 1'));
#493=IFCSIMPLEPROPERTY('ExternalWall',IFCBOOLEAN(.T.));
#494=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#495=IFCSIMPLEPROPERTY('Reference',IFCSTRING('EW-1'));
#496=IFCSIMPLEPROPERTY('Description',IFCSTRING('Exterior wall type 1'));
#497=IFCSIMPLEPROPERTY('ExternalWall',IFCBOOLEAN(.T.));
#498=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#499=IFCSIMPLEPROPERTY('Reference',IFCSTRING('EW-1'));
#500=IFCSIMPLEPROPERTY('Description',IFCSTRING('Exterior wall type 1'));
#501=IFCSIMPLEPROPERTY('ExternalWall',IFCBOOLEAN(.T.));
#502=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#503=IFCSIMPLEPROPERTY('Reference',IFCSTRING('EW-1'));
#504=IFCSIMPLEPROPERTY('Description',IFCSTRING('Exterior wall type 1'));
#505=IFCSIMPLEPROPERTY('ExternalWall',IFCBOOLEAN(.T.));
#506=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#507=IFCSIMPLEPROPERTY('Reference',IFCSTRING('EW-1'));
#508=IFCSIMPLEPROPERTY('Description',IFCSTRING('Exterior wall type 1'));
#509=IFCSIMPLEPROPERTY('ExternalWall',IFCBOOLEAN(.T.));
#510=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#511=IFCSIMPLEPROPERTY('Reference',IFCSTRING('IW-1'));
#512=IFCSIMPLEPROPERTY('Description',IFCSTRING('Interior wall type 1'));
#513=IFCSIMPLEPROPERTY('ExternalWall',IFCBOOLEAN(.F.));
#514=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('45 minutes'));
#515=IFCSIMPLEPROPERTY('Reference',IFCSTRING('IW-1'));
#516=IFCSIMPLEPROPERTY('Description',IFCSTRING('Interior wall type 1'));
#517=IFCSIMPLEPROPERTY('ExternalWall',IFCBOOLEAN(.F.));
#518=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('45 minutes'));
#519=IFCSIMPLEPROPERTY('Reference',IFCSTRING('EW-1'));
#520=IFCSIMPLEPROPERTY('Description',IFCSTRING('Exterior wall type 1'));
#521=IFCSIMPLEPROPERTY('ExternalWall',IFCBOOLEAN(.T.));
#522=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#523=IFCSIMPLEPROPERTY('Reference',IFCSTRING('FS-2'));
#524=IFCSIMPLEPROPERTY('Description',IFCSTRING('Floor slab type 2'));
#525=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#526=IFCSIMPLEPROPERTY('Reference',IFCSTRING('FS-1'));
#527=IFCSIMPLEPROPERTY('Description',IFCSTRING('Floor slab type 1'));
#528=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#529=IFCSIMPLEPROPERTY('Reference',IFCSTRING('RS-1'));
#530=IFCSIMPLEPROPERTY('Description',IFCSTRING('Roof slab type 1'));
#531=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#532=IFCSIMPLEPROPERTY('Reference',IFCSTRING('D-1'));
#533=IFCSIMPLEPROPERTY('Description',IFCSTRING('Door type 1'));
#534=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.T.));
#535=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#536=IFCSIMPLEPROPERTY('Reference',IFCSTRING('DH-1'));
#537=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(2150.));
#538=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(900.));
#539=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#540=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#541=IFCSIMPLEPROPERTY('LiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#542=IFCSIMPLEPROPERTY('LiningDepth',IFCPOSITIVELENGTHMEASURE(50.));
#543=IFCSIMPLEPROPERTY('LeftNotRightSwing',IFCBOOLEAN(.F.));
#544=IFCSIMPLEPROPERTY('IsDoubleHung',IFCBOOLEAN(.F.));
#545=IFCSIMPLEPROPERTY('Reference',IFCSTRING('D-2'));
#546=IFCSIMPLEPROPERTY('Description',IFCSTRING('Door type 2'));
#547=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.F.));
#548=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('45 minutes'));
#549=IFCSIMPLEPROPERTY('Reference',IFCSTRING('DH-2'));
#550=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(2150.));
#551=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(900.));
#552=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#553=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#554=IFCSIMPLEPROPERTY('LiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#555=IFCSIMPLEPROPERTY('LiningDepth',IFCPOSITIVELENGTHMEASURE(50.));
#556=IFCSIMPLEPROPERTY('LeftNotRightSwing',IFCBOOLEAN(.T.));
#557=IFCSIMPLEPROPERTY('IsDoubleHung',IFCBOOLEAN(.F.));
#558=IFCSIMPLEPROPERTY('Reference',IFCSTRING('D-3'));
#559=IFCSIMPLEPROPERTY('Description',IFCSTRING('Door type 3'));
#560=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.F.));
#561=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#562=IFCSIMPLEPROPERTY('Reference',IFCSTRING('DH-3'));
#563=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(2150.));
#564=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(1600.));
#565=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#566=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#567=IFCSIMPLEPROPERTY('LiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#568=IFCSIMPLEPROPERTY('LiningDepth',IFCPOSITIVELENGTHMEASURE(50.));
#569=IFCSIMPLEPROPERTY('LeftNotRightSwing',IFCBOOLEAN(.T.));
#570=IFCSIMPLEPROPERTY('IsDoubleHung',IFCBOOLEAN(.F.));
#571=IFCSIMPLEPROPERTY('Reference',IFCSTRING('W-2'));
#572=IFCSIMPLEPROPERTY('Description',IFCSTRING('Window type 2'));
#573=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.T.));
#574=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#575=IFCSIMPLEPROPERTY('Reference',IFCSTRING('WH-2'));
#576=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(1600.));
#577=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(750.));
#578=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#579=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#580=IFCSIMPLEPROPERTY('calcLiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#581=IFCSIMPLEPROPERTY('calcLiningDepth',IFCPOSITIVELENGTHMEASURE(200.));
#582=IFCSIMPLEPROPERTY('Reference',IFCSTRING('W-3'));
#583=IFCSIMPLEPROPERTY('Description',IFCSTRING('Window type 3'));
#584=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.F.));
#585=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('45 minutes'));
#586=IFCSIMPLEPROPERTY('Reference',IFCSTRING('WH-3'));
#587=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(300.));
#588=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(2500.));
#589=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#590=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#591=IFCSIMPLEPROPERTY('calcLiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#592=IFCSIMPLEPROPERTY('calcLiningDepth',IFCPOSITIVELENGTHMEASURE(200.));
#593=IFCSIMPLEPROPERTY('Reference',IFCSTRING('W-2'));
#594=IFCSIMPLEPROPERTY('Description',IFCSTRING('Window type 2'));
#595=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.T.));
#596=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#597=IFCSIMPLEPROPERTY('Reference',IFCSTRING('WH-2'));
#598=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(1600.));
#599=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(750.));
#600=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#601=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#602=IFCSIMPLEPROPERTY('calcLiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#603=IFCSIMPLEPROPERTY('calcLiningDepth',IFCPOSITIVELENGTHMEASURE(200.));
#604=IFCSIMPLEPROPERTY('Reference',IFCSTRING('W-1'));
#605=IFCSIMPLEPROPERTY('Description',IFCSTRING('Window type 1'));
#606=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.T.));
#607=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#608=IFCSIMPLEPROPERTY('Reference',IFCSTRING('WH-1'));
#609=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(3100.));
#610=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(1000.));
#611=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#612=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#613=IFCSIMPLEPROPERTY('calcLiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#614=IFCSIMPLEPROPERTY('calcLiningDepth',IFCPOSITIVELENGTHMEASURE(200.));
#615=IFCSIMPLEPROPERTY('Reference',IFCSTRING('W-1'));
#616=IFCSIMPLEPROPERTY('Description',IFCSTRING('Window type 1'));
#617=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.T.));
#618=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#619=IFCSIMPLEPROPERTY('Reference',IFCSTRING('WH-1'));
#620=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(3100.));
#621=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(1000.));
#622=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#623=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#624=IFCSIMPLEPROPERTY('calcLiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#625=IFCSIMPLEPROPERTY('calcLiningDepth',IFCPOSITIVELENGTHMEASURE(200.));
#626=IFCSIMPLEPROPERTY('Reference',IFCSTRING('W-1'));
#627=IFCSIMPLEPROPERTY('Description',IFCSTRING('Window type 1'));
#628=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.T.));
#629=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#630=IFCSIMPLEPROPERTY('Reference',IFCSTRING('WH-1'));
#631=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(3100.));
#632=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(1000.));
#633=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#634=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#635=IFCSIMPLEPROPERTY('calcLiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#636=IFCSIMPLEPROPERTY('calcLiningDepth',IFCPOSITIVELENGTHMEASURE(200.));
#637=IFCSIMPLEPROPERTY('Reference',IFCSTRING('W-1'));
#638=IFCSIMPLEPROPERTY('Description',IFCSTRING('Window type 1'));
#639=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.T.));
#640=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#641=IFCSIMPLEPROPERTY('Reference',IFCSTRING('WH-1'));
#642=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(3100.));
#643=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(1000.));
#644=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#645=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#646=IFCSIMPLEPROPERTY('calcLiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#647=IFCSIMPLEPROPERTY('calcLiningDepth',IFCPOSITIVELENGTHMEASURE(200.));
#648=IFCSIMPLEPROPERTY('Reference',IFCSTRING('W-1'));
#649=IFCSIMPLEPROPERTY('Description',IFCSTRING('Window type 1'));
#650=IFCSIMPLEPROPERTY('IsExterior',IFCBOOLEAN(.T.));
#651=IFCSIMPLEPROPERTY('FireRating',IFCSTRING('90 minutes'));
#652=IFCSIMPLEPROPERTY('Reference',IFCSTRING('WH-1'));
#653=IFCSIMPLEPROPERTY('NominalHeight',IFCPOSITIVELENGTHMEASURE(3100.));
#654=IFCSIMPLEPROPERTY('NominalWidth',IFCPOSITIVELENGTHMEASURE(1000.));
#655=IFCSIMPLEPROPERTY('ParameterTakesPrecedence',IFCBOOLEAN(.F.));
#656=IFCSIMPLEPROPERTY('ArbitraryShapeRepresentation',IFCBOOLEAN(.F.));
#657=IFCSIMPLEPROPERTY('calcLiningThickness',IFCPOSITIVELENGTHMEASURE(50.));
#658=IFCSIMPLEPROPERTY('calcLiningDepth',IFCPOSITIVELENGTHMEASURE(200.));
#659=IFCSIMPLEPROPERTY('Reference',IFCSTRING('C-1'));
#660=IFCSIMPLEPROPERTY('Description',IFCSTRING('Column type 1'));
#661=IFCSIMPLEPROPERTY('Length',IFCPOSITIVELENGTHMEASURE(250.));
#662=IFCSIMPLEPROPERTY('Width',IFCPOSITIVELENGTHMEASURE(250.));
#663=IFCEXTENSIONPROPERTYSET('>VY~nqoYGqs>36NQ+BiD',#1049,$,
'Pset_SiteAddress',(#483,#484,#485,#486,#487),'BLIS');
#664=IFCEXTENSIONPROPERTYSET('G,W|bHHbypm_o#w^`_H2',#1049,$,
'Pset_DoorConfig',(#544),'BLIS');
#665=IFCEXTENSIONPROPERTYSET('2Y~Af5n<BrrL2jQ;sK+g',#1049,$,
'Pset_DoorConfig',(#557),'BLIS');
#666=IFCEXTENSIONPROPERTYSET('KJWHeaC/YSyQCQ1nO75S',#1049,$,
'Pset_DoorConfig',(#570),'BLIS');
#667=IFCRELASSIGNSPROPERTIES('VMD69>i~?uuCcC^a5`T%',#1049,$,.F.,.T.,#663,
(#796),'Generic');
#668=IFCRELASSIGNSPROPERTIES('g6l!Mc7-SNy_x5x0UpZ9',#1049,$,.F.,.T.,#259,
(#478),'Generic');
#669=IFCRELASSIGNSPROPERTIES('q@&C!6SYlgjU%iKElJVo',#1049,$,.F.,.T.,#256,
(#478),'Generic');
#670=IFCRELASSIGNSPROPERTIES('sIQk/33o!Lu.i1XeEOnq',#1049,$,.F.,.T.,#260,
(#479),'Generic');
#671=IFCRELASSIGNSPROPERTIES('KpCw@X`hIYxz-AFpR-Xf',#1049,$,.F.,.T.,#257,
(#479),'Generic');
#672=IFCRELASSIGNSPROPERTIES(':!Lda^c;z#y-PAdoFa7I',#1049,$,.F.,.T.,#261,
(#480),'Generic');
#673=IFCRELASSIGNSPROPERTIES('r_a7yxmQQ<g_y*IUL?,I',#1049,$,.F.,.T.,#258,
(#480),'Generic');
#674=IFCRELASSIGNSPROPERTIES('*w@bi0|0k&td:J5C7oN-',#1049,$,.F.,.T.,#262,
(#248),'Generic');
#675=IFCRELASSIGNSPROPERTIES('N;1dPziC1~yrt2_&QE^d',#1049,$,.F.,.T.,#263,
(#249),'Generic');
#676=IFCRELASSIGNSPROPERTIES('^=m:;/3YsslRe*GtgG7=',#1049,$,.F.,.T.,#264,
(#250),'Generic');
#677=IFCRELASSIGNSPROPERTIES('Lq8O7DWF42pm;.<hc-qQ',#1049,$,.F.,.T.,#265,
(#251),'Generic');
#678=IFCRELASSIGNSPROPERTIES('._#YFNn1_<y`vtK;a-9.',#1049,$,.F.,.T.,#266,
(#252),'Generic');
#679=IFCRELASSIGNSPROPERTIES('&i_xd#^zeOyms`Nus$:K',#1049,$,.F.,.T.,#267,
(#253),'Generic');
#680=IFCRELASSIGNSPROPERTIES('Jr4$|aTr2XoW=MDciC+T',#1049,$,.F.,.T.,#268,
(#254),'Generic');
#681=IFCRELASSIGNSPROPERTIES('L_<!F;376%ik#eeaUd;2',#1049,$,.F.,.T.,#269,
(#255),'Generic');
#682=IFCRELASSIGNSPROPERTIES('lLvI<0W;WZru9B|>>D2a',#1049,$,.F.,.T.,#270,
(#125),'Generic');
#683=IFCRELASSIGNSPROPERTIES('7;j7--=-.wf?t-`z.1CN',#1049,$,.F.,.T.,#271,
(#126),'Generic');
#684=IFCRELASSIGNSPROPERTIES('+j<~n$vH-BrZk2UIZ3~P',#1049,$,.F.,.T.,#272,
(#127),'Generic');
#685=IFCRELASSIGNSPROPERTIES('8_flTHuFKMuHRyaqAHu&',#1049,$,.F.,.T.,#273,
(#100),'Generic');
#686=IFCRELASSIGNSPROPERTIES('T`N+r.>$;;m#X`%b>%C3',#1049,$,.F.,.T.,#274,
(#100),'Generic');
#687=IFCRELASSIGNSPROPERTIES('!94l&PXtV6f@>8D8*X=k',#1049,$,.F.,.T.,#275,
(#100),'Generic');
#688=IFCRELASSIGNSPROPERTIES('$7$eM|uu%Wq/JvsR=+:n',#1049,$,.F.,.T.,#276,
(#100),'Generic');
#689=IFCRELASSIGNSPROPERTIES('GrBh`.pfEntR:6>ZWmqa',#1049,$,.F.,.T.,#664,
(#100),'Generic');
#690=IFCRELASSIGNSPROPERTIES('z`.CT6p:Abyx,Gco!SIn',#1049,$,.F.,.T.,#277,
(#101),'Generic');
#691=IFCRELASSIGNSPROPERTIES('VDIx&e2qqtzA,M-*MIrR',#1049,$,.F.,.T.,#278,
(#101),'Generic');
#692=IFCRELASSIGNSPROPERTIES('cnv|,HEBbsls*f!k`fDc',#1049,$,.F.,.T.,#279,
(#101),'Generic');
#693=IFCRELASSIGNSPROPERTIES('BOihn=#;%Do3Yj_;n4h<',#1049,$,.F.,.T.,#280,
(#101),'Generic');
#694=IFCRELASSIGNSPROPERTIES('TJs<tP*FvHqbT^|$56xY',#1049,$,.F.,.T.,#665,
(#101),'Generic');
#695=IFCRELASSIGNSPROPERTIES('7r0M5*4jc2uzx3,EAUV,',#1049,$,.F.,.T.,#281,
(#102),'Generic');
#696=IFCRELASSIGNSPROPERTIES('MmwKKK<U%9sfc!rwzMWv',#1049,$,.F.,.T.,#282,
(#102),'Generic');
#697=IFCRELASSIGNSPROPERTIES('lO_:+2*OC&pg5sci7Fjk',#1049,$,.F.,.T.,#283,
(#102),'Generic');
#698=IFCRELASSIGNSPROPERTIES(':@8d`Gc,iutY$|w*LKuF',#1049,$,.F.,.T.,#284,
(#102),'Generic');
#699=IFCRELASSIGNSPROPERTIES('YB89rl3zf<nh=QAjQZ&4',#1049,$,.F.,.T.,#666,
(#102),'Generic');
#700=IFCRELASSIGNSPROPERTIES('~SGH6nKMUCjI%bc?~brX',#1049,$,.F.,.T.,#285,
(#81),'Generic');
#701=IFCRELASSIGNSPROPERTIES('/eW~&0isTsl#!.%GdyV;',#1049,$,.F.,.T.,#286,
(#81),'Generic');
#702=IFCRELASSIGNSPROPERTIES('x;kNLL8^M|fp%qz,`j<j',#1049,$,.F.,.T.,#287,
(#81),'Generic');
#703=IFCRELASSIGNSPROPERTIES('ES9U5MjJ:IhbVlLq.?c`',#1049,$,.F.,.T.,#288,
(#82),'Generic');
#704=IFCRELASSIGNSPROPERTIES('l99/;>l8Wso>PY$:_DD`',#1049,$,.F.,.T.,#289,
(#82),'Generic');
#705=IFCRELASSIGNSPROPERTIES('T7dnv$b3K;ux.gtGVI*,',#1049,$,.F.,.T.,#290,
(#82),'Generic');
#706=IFCRELASSIGNSPROPERTIES('!ayjMwcJU|qpr`^WjL>K',#1049,$,.F.,.T.,#291,
(#83),'Generic');
#707=IFCRELASSIGNSPROPERTIES('m+q3$x2~SiqL8A73gz2N',#1049,$,.F.,.T.,#292,
(#83),'Generic');
#708=IFCRELASSIGNSPROPERTIES('nX8?MIvq;2ltW|/.zP!E',#1049,$,.F.,.T.,#293,
(#83),'Generic');
#709=IFCRELASSIGNSPROPERTIES('&_uw>d>73OrFYne-Zh*L',#1049,$,.F.,.T.,#294,
(#84),'Generic');
#710=IFCRELASSIGNSPROPERTIES('3.QGMd!$BQoDI=+jaoVq',#1049,$,.F.,.T.,#295,
(#84),'Generic');
#711=IFCRELASSIGNSPROPERTIES('KU^,MSZq&pyV>G#0$nqy',#1049,$,.F.,.T.,#296,
(#84),'Generic');
#712=IFCRELASSIGNSPROPERTIES('MC!jCW*SCGq`.TVAid~_',#1049,$,.F.,.T.,#297,
(#85),'Generic');
#713=IFCRELASSIGNSPROPERTIES('&TPN;g%U@XjQvKdd1MC.',#1049,$,.F.,.T.,#298,
(#85),'Generic');
#714=IFCRELASSIGNSPROPERTIES('2|KV.sCGk;o_wQUxrBe_',#1049,$,.F.,.T.,#299,
(#85),'Generic');
#715=IFCRELASSIGNSPROPERTIES('~-x;h*2PM=pdEq2V%20q',#1049,$,.F.,.T.,#300,
(#86),'Generic');
#716=IFCRELASSIGNSPROPERTIES('Hz:llRvAK!nL0znP=MC0',#1049,$,.F.,.T.,#301,
(#86),'Generic');
#717=IFCRELASSIGNSPROPERTIES('q#yC`3o%L*fJjF-hNQd+',#1049,$,.F.,.T.,#302,
(#86),'Generic');
#718=IFCRELASSIGNSPROPERTIES('Kj.9!yfQ#,h971%U7&`,',#1049,$,.F.,.T.,#303,
(#87),'Generic');
#719=IFCRELASSIGNSPROPERTIES('k!kJc3w@dGwC1P8-uF%l',#1049,$,.F.,.T.,#304,
(#87),'Generic');
#720=IFCRELASSIGNSPROPERTIES('nSiMt/=alBh-ap53:gUZ',#1049,$,.F.,.T.,#305,
(#87),'Generic');
#721=IFCRELASSIGNSPROPERTIES('NkLw`mdis3lT+v.d6#Sw',#1049,$,.F.,.T.,#306,
(#88),'Generic');
#722=IFCRELASSIGNSPROPERTIES('3oeJcj_Pc+olq$R0a5:i',#1049,$,.F.,.T.,#307,
(#88),'Generic');
#723=IFCRELASSIGNSPROPERTIES('B;^<#7+6QbqL@HNCMiiR',#1049,$,.F.,.T.,#308,
(#88),'Generic');
#724=IFCRELASSIGNSPROPERTIES('$>/+N1CT+fx@f|-f/~42',#1049,$,.F.,.T.,#309,
(#80),'Generic');
#725=IFCRELASSIGNSPROPERTIES('asSEP7XMBoyr9$RobQD-',#1049,$,.F.,.F.,#32,
(#88),'Generic');
#726=IFCRELASSIGNSPROPERTIES('>1LB:,Iqi@fhO#,nGiQg',#1049,$,.F.,.F.,#33,
(#85),'Generic');
#727=IFCRELASSIGNSPROPERTIES('+cAnG-buw?xHg_|ZnPH_',#1049,$,.F.,.F.,#34,
(#82),'Generic');
#728=IFCRELASSIGNSPROPERTIES('G$5>6Po6`SrqIl#j.IBz',#1049,$,.F.,.F.,#35,
(#102),'Generic');
#729=IFCRELASSIGNSPROPERTIES('hW2`GY;n:nr$herG;/U/',#1049,$,.F.,.F.,#36,
(#83),'Generic');
#730=IFCRELASSIGNSPROPERTIES('DyL=nRy0CQosAsATpwe;',#1049,$,.F.,.F.,#37,
(#84),'Generic');
#731=IFCRELASSIGNSPROPERTIES('8:pAeH>@DFuFzWAPU&31',#1049,$,.F.,.F.,#38,
(#81),'Generic');
#732=IFCRELASSIGNSPROPERTIES('To#+5+l|eruV?m/1D8YM',#1049,$,.F.,.F.,#39,
(#86),'Generic');
#733=IFCRELASSIGNSPROPERTIES('0:h7QzQ#>:sx-,Zq5wuf',#1049,$,.F.,.F.,#40,
(#87),'Generic');
#734=IFCRELASSIGNSPROPERTIES('Di8tV4/6|IfTEVa65,&V',#1049,$,.F.,.F.,#41,
(#101),'Generic');
#735=IFCRELASSIGNSPROPERTIES('5%#HdxROGOsn@3erv2Wj',#1049,$,.F.,.F.,#42,
(#100),'Generic');
#736=IFCRELCONTAINS('1iJE.NLoOJmsQ,;G4kyD',#1049,$,.T.,.F.,#1038,(#796),
.PROJECTCONTAINER.,.CONTAINED.);
#737=IFCRELCONTAINS('*H,Tu:nA?Kw$6dIOFl~r',#1049,$,.T.,.F.,#796,(#482),.SITECONTAINER.,
.CONTAINED.);
#738=IFCRELCONTAINS('8Iy<aDXB-Ks>KE.#sQ8u',#1049,$,.T.,.F.,#482,(#481),.BUILDINGCONTAINER.,
.CONTAINED.);
#739=IFCRELCONTAINS('1$0EbQi4NOzx#2#Bui%#',#1049,$,.T.,.F.,#481,(#478,#479,
#480,#248,#249,#250,#251,#252,#253,#254,#255,#125,#126,#127,#100,#101,#102,
#81,#82,#83,#84,#85,#86,#87,#88,#80),.BUILDINGSTOREYCONTAINER.,.CONTAINED.);
#740=IFCRELCONTAINS('isR6|KP=lBqFN0N6OoOq',#1049,$,.T.,.F.,#478,(#100,#101,
#102,#81),.SPACECONTAINER.,.REFERENCED.);
#741=IFCRELCONTAINS('!=us&g#JLcinr~j%;nN~',#1049,$,.T.,.F.,#480,(#101,#82,
#83),.SPACECONTAINER.,.REFERENCED.);
#742=IFCRELCONTAINS('7G_:;XGKVSfs8sCu<OE&',#1049,$,.T.,.F.,#479,(#102,#82,
#84,#85,#86,#87,#88),.SPACECONTAINER.,.REFERENCED.);
#743=IFCLOCALPLACEMENT('0=PxB?UpYYhH`lZ-c8qu',#1049,$,#1038,#959);
#744=IFCLOCALPLACEMENT('o%~yD<AgEvk0RKQrpA`P',#1049,$,#796,#960);
#745=IFCLOCALPLACEMENT('gryX`/2TAwpN.eXKF#P3',#1049,$,#482,#961);
#746=IFCLOCALPLACEMENT('S$+zv+@cbYiK!,6bz9kE',#1049,$,#481,#962);
#747=IFCLOCALPLACEMENT('11j*o+`Eh|t5oYrN+Jw`',#1049,$,#481,#964);
#748=IFCLOCALPLACEMENT('m5V6h0h_l6h=bs#XP`=b',#1049,$,#481,#966);
#749=IFCLOCALPLACEMENT('I7YtH%HvHgq/Q/+p7cAy',#1049,$,#481,#968);
#750=IFCLOCALPLACEMENT('lF#kU9MM5Fk2,SA=3n<P',#1049,$,#481,#970);
#751=IFCLOCALPLACEMENT('9hb7RN>9wlg-KfAsnM^i',#1049,$,#481,#972);
#752=IFCLOCALPLACEMENT('^G#IzM:b6Wsz0i.#D:P,',#1049,$,#481,#974);
#753=IFCLOCALPLACEMENT('!OAf8lW-+/xeWLdep4k>',#1049,$,#481,#976);
#754=IFCLOCALPLACEMENT('FaR3dY~W$%l8rnGXna|Z',#1049,$,#481,#978);
#755=IFCLOCALPLACEMENT('lZ4/-k1k9-kG@_=-QiiG',#1049,$,#481,#980);
#756=IFCLOCALPLACEMENT('Wp^?SGSo@YkeHSbIsQCH',#1049,$,#481,#982);
#757=IFCLOCALPLACEMENT('hOj$!*oZ,%gUmgI%b.YS',#1049,$,#481,#984);
#758=IFCLOCALPLACEMENT('I3tHW!A;bdkAcRC+4+78',#1049,$,#481,#986);
#759=IFCLOCALPLACEMENT(':~G_7d!#`-wt?npO:2XB',#1049,$,#481,#988);
#760=IFCLOCALPLACEMENT('dc@RgPa#e|gZtM4HevY8',#1049,$,#249,#990);
#761=IFCLOCALPLACEMENT('e+<,TM.GehmVh^P$l/>t',#1049,$,#252,#992);
#762=IFCLOCALPLACEMENT('%WEi~Zwg9/gxl2uWWoUu',#1049,$,#254,#994);
#763=IFCLOCALPLACEMENT('NHXpMG/fE*m=B+jeFITo',#1049,$,#253,#996);
#764=IFCLOCALPLACEMENT('^A~iGr`nA/yJ6X9k_/TJ',#1049,$,#253,#998);
#765=IFCLOCALPLACEMENT('eoNjn15ZjjjfZ?X/4TMw',#1049,$,#255,#1000);
#766=IFCLOCALPLACEMENT('5<HRhtT~ucur;dh:r-@o',#1049,$,#251,#1002);
#767=IFCLOCALPLACEMENT('<GO|J<nA^6z67/6,dQnl',#1049,$,#251,#1004);
#768=IFCLOCALPLACEMENT('>@nQ~DCSSylu,mCGS!1a',#1049,$,#251,#1006);
#769=IFCLOCALPLACEMENT(';1C_N1!qsghEMxa=TMaZ',#1049,$,#251,#1008);
#770=IFCLOCALPLACEMENT('7gN-Nsdh@@zVo`POQ.W@',#1049,$,#251,#1010);
#771=IFCLOCALPLACEMENT('J#2U3yOvL3zBh1kj1x?r',#1049,$,#115,#1012);
#772=IFCLOCALPLACEMENT('jv2Q|,jqcZxP`BZqV?BR',#1049,$,#116,#1013);
#773=IFCLOCALPLACEMENT(':2WJ-gP@p/nfDqYBRz8:',#1049,$,#117,#1014);
#774=IFCLOCALPLACEMENT('BW#s1Nd?olxCj|IS2YvN',#1049,$,#114,#1015);
#775=IFCLOCALPLACEMENT('#K@8~mbgVOr-6ttya.K,',#1049,$,#118,#1016);
#776=IFCLOCALPLACEMENT('+RM.MiUUGIjQ#ZPNvamX',#1049,$,#119,#1017);
#777=IFCLOCALPLACEMENT('cT-vp|fz:=pRQQmcL6_*',#1049,$,#120,#1018);
#778=IFCLOCALPLACEMENT('FoRm4cyL7ygtBNzHHBl_',#1049,$,#121,#1019);
#779=IFCLOCALPLACEMENT('DF?htzyV5Xk8|Wo~|ILi',#1049,$,#122,#1020);
#780=IFCLOCALPLACEMENT('pz9xVyw*Vlnz9tFYmI`@',#1049,$,#123,#1021);
#781=IFCLOCALPLACEMENT('lpE6Yia$X2x8F17|*Mmp',#1049,$,#124,#1022);
#782=IFCLOCALPLACEMENT('4S,Qb>`r~|kMk*W%<5p/',#1049,$,#481,#1023);
#783=IFCLOCALPLACEMENT('ABk>Ps%@b6l@X6,cc&,R',#1049,$,#478,#1025);
#784=IFCLOCALPLACEMENT('0|L$l6#>_Fp+bXPbhhzF',#1049,$,#478,#1026);
#785=IFCLOCALPLACEMENT('%rO83Ni`BwlIN~m+|<,!',#1049,$,#478,#1027);
#786=IFCLOCALPLACEMENT('B-HNKJ1Rwbt-v~7HpSM_',#1049,$,#478,#1028);
#787=IFCLOCALPLACEMENT('XtQ_2XbVDNhe=8Eurm/v',#1049,$,#478,#1029);
#788=IFCLOCALPLACEMENT('P-;>&kaJIbpL/zpYJNRl',#1049,$,#479,#1030);
#789=IFCLOCALPLACEMENT('i|86xWDHDMgWWn/f/QlI',#1049,$,#479,#1031);
#790=IFCLOCALPLACEMENT('I&tkfV;-<KsNQQEb+YZS',#1049,$,#479,#1032);
#791=IFCLOCALPLACEMENT('TTAs=zr8?6n7NkoTGTEK',#1049,$,#479,#1033);
#792=IFCLOCALPLACEMENT('cxMu!w5:^=nsTictNqQP',#1049,$,#480,#1034);
#793=IFCLOCALPLACEMENT('uJQ,MfBQy1wWKplzh,Jt',#1049,$,#480,#1035);
#794=IFCLOCALPLACEMENT('1g_IP!y,hKrcB3=!%%-C',#1049,$,#480,#1036);
#795=IFCLOCALPLACEMENT('nYWUOVjM:,i4=yV4QF*n',#1049,$,#480,#1037);
#796=IFCSITE('-SXTVbfrU6uMMC<RVXo>',#1049,$,$,(),#743,(),$,(0,0,0),(0,0,
0),0.,$,1.E-012,0.);
#797=IFCCARTESIANPOINT((0.,0.,0.));
#798=IFCCARTESIANPOINT((0.,0.,0.));
#799=IFCCARTESIANPOINT((0.,0.,0.));
#800=IFCCARTESIANPOINT((0.,0.,0.));
#801=IFCCARTESIANPOINT((9204.,8704.,0.));
#802=IFCCARTESIANPOINT((0.,0.,0.));
#803=IFCCARTESIANPOINT((0.,0.,0.));
#804=IFCCARTESIANPOINT((2449.99999569703,0.));
#805=IFCCARTESIANPOINT((4449.99999569703,0.));
#806=IFCCARTESIANPOINT((4449.99999569703,3000.00000051226));
#807=IFCCARTESIANPOINT((0.,3000.00000051226));
#808=IFCCARTESIANPOINT((0.,0.));
#809=IFCCARTESIANPOINT((2449.99999569703,0.));
#810=IFCCARTESIANPOINT((1654.,5704.,0.));
#811=IFCCARTESIANPOINT((0.,0.,0.));
#812=IFCCARTESIANPOINT((0.,0.,0.));
#813=IFCCARTESIANPOINT((7450.,6000.));
#814=IFCCARTESIANPOINT((2000.325,6000.));
#815=IFCCARTESIANPOINT((0.,0.));
#816=IFCCARTESIANPOINT((7450.,0.));
#817=IFCCARTESIANPOINT((7450.,6000.));
#818=IFCCARTESIANPOINT((9204.,5704.,0.));
#819=IFCCARTESIANPOINT((0.,0.,0.));
#820=IFCCARTESIANPOINT((0.,0.,0.));
#821=IFCCARTESIANPOINT((0.,2900.));
#822=IFCCARTESIANPOINT((0.,0.));
#823=IFCCARTESIANPOINT((2450.,0.));
#824=IFCCARTESIANPOINT((2450.,2900.));
#825=IFCCARTESIANPOINT((0.,2900.));
#826=IFCCARTESIANPOINT((3654.15049572336,11703.656774813,0.));
#827=IFCCARTESIANPOINT((0.,0.,0.));
#828=IFCCARTESIANPOINT((0.,250.,0.));
#829=IFCCARTESIANPOINT((0.,0.));
#830=IFCCARTESIANPOINT((13654.1504957234,11703.656774813,0.));
#831=IFCCARTESIANPOINT((0.,0.,0.));
#832=IFCCARTESIANPOINT((0.,250.,0.));
#833=IFCCARTESIANPOINT((0.,0.));
#834=IFCCARTESIANPOINT((11654.1504957234,8703.656774813,0.));
#835=IFCCARTESIANPOINT((0.,0.,0.));
#836=IFCCARTESIANPOINT((0.,250.,0.));
#837=IFCCARTESIANPOINT((0.,0.));
#838=IFCCARTESIANPOINT((3654.15049572336,11703.656774813,0.));
#839=IFCCARTESIANPOINT((0.,-250.,0.));
#840=IFCCARTESIANPOINT((0.,0.,0.));
#841=IFCCARTESIANPOINT((0.,0.));
#842=IFCCARTESIANPOINT((11654.1504957234,8703.656774813,0.));
#843=IFCCARTESIANPOINT((0.,-250.,0.));
#844=IFCCARTESIANPOINT((0.,0.,0.));
#845=IFCCARTESIANPOINT((0.,0.));
#846=IFCCARTESIANPOINT((9154.1504981822,11703.656774813,0.));
#847=IFCCARTESIANPOINT((0.,-50.,0.));
#848=IFCCARTESIANPOINT((0.,50.,0.));
#849=IFCCARTESIANPOINT((0.,0.));
#850=IFCCARTESIANPOINT((9154.15050002633,8703.65677378849,0.));
#851=IFCCARTESIANPOINT((0.,-100.,0.));
#852=IFCCARTESIANPOINT((0.,0.,0.));
#853=IFCCARTESIANPOINT((0.,0.));
#854=IFCCARTESIANPOINT((1654.13636677327,5703.61438796272,0.));
#855=IFCCARTESIANPOINT((0.,-250.,0.));
#856=IFCCARTESIANPOINT((0.,0.,0.));
#857=IFCCARTESIANPOINT((0.,0.));
#858=IFCCARTESIANPOINT((11902.,5450.,-200.));
#859=IFCCARTESIANPOINT((0.,0.,0.));
#860=IFCCARTESIANPOINT((0.,0.,0.));
#861=IFCCARTESIANPOINT((8.03815102835289,0.));
#862=IFCCARTESIANPOINT((1998.56429277396,0.193981124717627));
#863=IFCCARTESIANPOINT((1998.28257071358,2996.32005057453));
#864=IFCCARTESIANPOINT((0.,3003.26014111872));
#865=IFCCARTESIANPOINT((8.03815102835289,0.));
#866=IFCCARTESIANPOINT((1305.,5443.,-200.));
#867=IFCCARTESIANPOINT((0.,0.,0.));
#868=IFCCARTESIANPOINT((0.,0.,0.));
#869=IFCCARTESIANPOINT((0.,9.80601764706296));
#870=IFCCARTESIANPOINT((10606.3756446425,0.));
#871=IFCCARTESIANPOINT((10608.1089576094,3001.29110453959));
#872=IFCCARTESIANPOINT((12601.7239812928,3003.34516239287));
#873=IFCCARTESIANPOINT((12591.9434267556,6506.12606918839));
#874=IFCCARTESIANPOINT((2161.96185020107,6513.06615891331));
#875=IFCCARTESIANPOINT((0.,9.80601764706296));
#876=IFCCARTESIANPOINT((1305.,5443.,3500.));
#877=IFCCARTESIANPOINT((0.,0.,0.));
#878=IFCCARTESIANPOINT((0.,0.,0.));
#879=IFCCARTESIANPOINT((0.,9.80601764706296));
#880=IFCCARTESIANPOINT((10606.3756446425,0.));
#881=IFCCARTESIANPOINT((10608.1089576094,3001.29110453959));
#882=IFCCARTESIANPOINT((12601.7239812928,3003.34516239287));
#883=IFCCARTESIANPOINT((12591.9434267556,6506.12606918839));
#884=IFCCARTESIANPOINT((2161.96185020107,6513.06615891331));
#885=IFCCARTESIANPOINT((0.,9.80601764706296));
#886=IFCCARTESIANPOINT((800.,0.,900.));
#887=IFCCARTESIANPOINT((0.,250.,0.));
#888=IFCCARTESIANPOINT((0.,0.));
#889=IFCCARTESIANPOINT((0.,0.,0.));
#890=IFCCARTESIANPOINT((573.,0.,0.));
#891=IFCCARTESIANPOINT((0.,0.,0.));
#892=IFCCARTESIANPOINT((0.,0.));
#893=IFCCARTESIANPOINT((0.,-250.,0.));
#894=IFCCARTESIANPOINT((1514.,0.,0.));
#895=IFCCARTESIANPOINT((0.,0.,0.));
#896=IFCCARTESIANPOINT((0.,0.));
#897=IFCCARTESIANPOINT((0.,-100.,0.));
#898=IFCCARTESIANPOINT((620.,0.,0.));
#899=IFCCARTESIANPOINT((0.,50.,0.));
#900=IFCCARTESIANPOINT((0.,0.));
#901=IFCCARTESIANPOINT((0.,-50.,0.));
#902=IFCCARTESIANPOINT((3350.,0.,2700.));
#903=IFCCARTESIANPOINT((0.,50.,0.));
#904=IFCCARTESIANPOINT((0.,0.));
#905=IFCCARTESIANPOINT((0.,-50.,0.));
#906=IFCCARTESIANPOINT((8876.,0.,900.));
#907=IFCCARTESIANPOINT((0.,0.,0.));
#908=IFCCARTESIANPOINT((0.,0.));
#909=IFCCARTESIANPOINT((0.,-250.,0.));
#910=IFCCARTESIANPOINT((1540.,0.,200.));
#911=IFCCARTESIANPOINT((0.,0.,0.));
#912=IFCCARTESIANPOINT((0.,0.));
#913=IFCCARTESIANPOINT((0.,-250.,0.));
#914=IFCCARTESIANPOINT((5000.,0.,200.));
#915=IFCCARTESIANPOINT((0.,0.,0.));
#916=IFCCARTESIANPOINT((0.,0.));
#917=IFCCARTESIANPOINT((0.,-250.,0.));
#918=IFCCARTESIANPOINT((408.,0.,200.));
#919=IFCCARTESIANPOINT((0.,0.,0.));
#920=IFCCARTESIANPOINT((0.,0.));
#921=IFCCARTESIANPOINT((0.,-250.,0.));
#922=IFCCARTESIANPOINT((2677.,0.,200.));
#923=IFCCARTESIANPOINT((0.,0.,0.));
#924=IFCCARTESIANPOINT((0.,0.));
#925=IFCCARTESIANPOINT((0.,-250.,0.));
#926=IFCCARTESIANPOINT((3824.,0.,200.));
#927=IFCCARTESIANPOINT((0.,0.,0.));
#928=IFCCARTESIANPOINT((0.,0.));
#929=IFCCARTESIANPOINT((0.,-250.,0.));
#930=IFCCARTESIANPOINT((0.,0.,0.));
#931=IFCCARTESIANPOINT((900.,0.,0.));
#932=IFCCARTESIANPOINT((1600.,0.,0.));
#933=IFCCARTESIANPOINT((0.,0.,0.));
#934=IFCCARTESIANPOINT((0.,0.,0.));
#935=IFCCARTESIANPOINT((0.,0.,0.));
#936=IFCCARTESIANPOINT((0.,0.,0.));
#937=IFCCARTESIANPOINT((0.,0.,0.));
#938=IFCCARTESIANPOINT((0.,0.,0.));
#939=IFCCARTESIANPOINT((0.,0.,0.));
#940=IFCCARTESIANPOINT((0.,0.,0.));
#941=IFCCARTESIANPOINT((13648.,5452.,0.));
#942=IFCCARTESIANPOINT((0.,0.,0.));
#943=IFCCARTESIANPOINT((0.,0.,0.));
#944=IFCCARTESIANPOINT((0.,0.));
#945=IFCCARTESIANPOINT((11654.1504957234,8703.65677430074,0.));
#946=IFCCARTESIANPOINT((13654.1504957234,8703.65677430074,0.));
#947=IFCCARTESIANPOINT((13654.1504957234,11703.656774813,0.));
#948=IFCCARTESIANPOINT((9204.15050002633,11703.656774813,0.));
#949=IFCCARTESIANPOINT((9204.15050002633,8703.65677430074,0.));
#950=IFCCARTESIANPOINT((9104.15049572336,11703.624774813,0.));
#951=IFCCARTESIANPOINT((3654.47549572336,11703.624774813,0.));
#952=IFCCARTESIANPOINT((1654.15049572336,5703.624774813,0.));
#953=IFCCARTESIANPOINT((9104.15049572336,5703.624774813,0.));
#954=IFCCARTESIANPOINT((9204.04649572336,8603.624774813,0.));
#955=IFCCARTESIANPOINT((9204.04649572336,5703.624774813,0.));
#956=IFCCARTESIANPOINT((11654.0464957234,5703.624774813,0.));
#957=IFCCARTESIANPOINT((11654.0464957234,8603.624774813,0.));
#958=IFCAXIS2PLACEMENT3D(#797,$,$);
#959=IFCAXIS2PLACEMENT3D(#798,$,$);
#960=IFCAXIS2PLACEMENT3D(#799,$,$);
#961=IFCAXIS2PLACEMENT3D(#800,$,$);
#962=IFCAXIS2PLACEMENT3D(#801,$,$);
#963=IFCAXIS2PLACEMENT3D(#803,$,$);
#964=IFCAXIS2PLACEMENT3D(#810,$,$);
#965=IFCAXIS2PLACEMENT3D(#812,$,$);
#966=IFCAXIS2PLACEMENT3D(#818,$,$);
#967=IFCAXIS2PLACEMENT3D(#820,$,$);
#968=IFCAXIS2PLACEMENT3D(#826,$,$);
#969=IFCAXIS2PLACEMENT3D(#828,#168,#169);
#970=IFCAXIS2PLACEMENT3D(#830,#170,#171);
#971=IFCAXIS2PLACEMENT3D(#832,#172,#173);
#972=IFCAXIS2PLACEMENT3D(#834,#174,#175);
#973=IFCAXIS2PLACEMENT3D(#836,#176,#177);
#974=IFCAXIS2PLACEMENT3D(#838,#178,#179);
#975=IFCAXIS2PLACEMENT3D(#840,#180,#181);
#976=IFCAXIS2PLACEMENT3D(#842,$,$);
#977=IFCAXIS2PLACEMENT3D(#844,#182,#183);
#978=IFCAXIS2PLACEMENT3D(#846,#184,#185);
#979=IFCAXIS2PLACEMENT3D(#848,#186,#187);
#980=IFCAXIS2PLACEMENT3D(#850,#188,#189);
#981=IFCAXIS2PLACEMENT3D(#852,#190,#191);
#982=IFCAXIS2PLACEMENT3D(#854,#192,#193);
#983=IFCAXIS2PLACEMENT3D(#856,#194,#195);
#984=IFCAXIS2PLACEMENT3D(#858,$,$);
#985=IFCAXIS2PLACEMENT3D(#860,$,$);
#986=IFCAXIS2PLACEMENT3D(#866,$,$);
#987=IFCAXIS2PLACEMENT3D(#868,$,$);
#988=IFCAXIS2PLACEMENT3D(#876,$,$);
#989=IFCAXIS2PLACEMENT3D(#878,$,$);
#990=IFCAXIS2PLACEMENT3D(#886,$,$);
#991=IFCAXIS2PLACEMENT3D(#887,#196,#197);
#992=IFCAXIS2PLACEMENT3D(#890,$,$);
#993=IFCAXIS2PLACEMENT3D(#891,#198,#199);
#994=IFCAXIS2PLACEMENT3D(#894,$,$);
#995=IFCAXIS2PLACEMENT3D(#895,#200,#201);
#996=IFCAXIS2PLACEMENT3D(#898,$,$);
#997=IFCAXIS2PLACEMENT3D(#899,#202,#203);
#998=IFCAXIS2PLACEMENT3D(#902,$,$);
#999=IFCAXIS2PLACEMENT3D(#903,#204,#205);
#1000=IFCAXIS2PLACEMENT3D(#906,$,$);
#1001=IFCAXIS2PLACEMENT3D(#907,#206,#207);
#1002=IFCAXIS2PLACEMENT3D(#910,$,$);
#1003=IFCAXIS2PLACEMENT3D(#911,#208,#209);
#1004=IFCAXIS2PLACEMENT3D(#914,$,$);
#1005=IFCAXIS2PLACEMENT3D(#915,#210,#211);
#1006=IFCAXIS2PLACEMENT3D(#918,$,$);
#1007=IFCAXIS2PLACEMENT3D(#919,#212,#213);
#1008=IFCAXIS2PLACEMENT3D(#922,$,$);
#1009=IFCAXIS2PLACEMENT3D(#923,#214,#215);
#1010=IFCAXIS2PLACEMENT3D(#926,$,$);
#1011=IFCAXIS2PLACEMENT3D(#927,#216,#217);
#1012=IFCAXIS2PLACEMENT3D(#930,$,$);
#1013=IFCAXIS2PLACEMENT3D(#931,#218,#219);
#1014=IFCAXIS2PLACEMENT3D(#932,#220,#221);
#1015=IFCAXIS2PLACEMENT3D(#933,$,$);
#1016=IFCAXIS2PLACEMENT3D(#934,$,$);
#1017=IFCAXIS2PLACEMENT3D(#935,$,$);
#1018=IFCAXIS2PLACEMENT3D(#936,$,$);
#1019=IFCAXIS2PLACEMENT3D(#937,$,$);
#1020=IFCAXIS2PLACEMENT3D(#938,$,$);
#1021=IFCAXIS2PLACEMENT3D(#939,$,$);
#1022=IFCAXIS2PLACEMENT3D(#940,$,$);
#1023=IFCAXIS2PLACEMENT3D(#941,$,$);
#1024=IFCAXIS2PLACEMENT3D(#943,$,$);
#1025=IFCAXIS2PLACEMENT3D(#945,#222,#223);
#1026=IFCAXIS2PLACEMENT3D(#946,#224,#225);
#1027=IFCAXIS2PLACEMENT3D(#947,#226,#227);
#1028=IFCAXIS2PLACEMENT3D(#948,#228,#229);
#1029=IFCAXIS2PLACEMENT3D(#949,#230,#231);
#1030=IFCAXIS2PLACEMENT3D(#950,#232,#233);
#1031=IFCAXIS2PLACEMENT3D(#951,#234,#235);
#1032=IFCAXIS2PLACEMENT3D(#952,#236,#237);
#1033=IFCAXIS2PLACEMENT3D(#953,#238,#239);
#1034=IFCAXIS2PLACEMENT3D(#954,#240,#241);
#1035=IFCAXIS2PLACEMENT3D(#955,#242,#243);
#1036=IFCAXIS2PLACEMENT3D(#956,#244,#245);
#1037=IFCAXIS2PLACEMENT3D(#957,#246,#247);
#1038=IFCPROJECT('FDq.cZf,;$x07%XQ,gs;',#1049,$,$,(),$,
'IFC R2.0 certification',$,#1056,$,#958);
#1039=IFCACTORROLE(.ARCHITECT.,$);
#1040=IFCACTORROLE(.MANUFACTURER.,$);
#1041=IFCADDRESS($,(),$,$,$,$,('555-87654321'),('555-12345678'),(
'jiri@blis-project.org'),$,'www.solibri.com',$,$);
#1042=IFCADDRESS($,('Route des Lucioles','B.P. 209'),'Sophia Antipolis',
$,'012120','France',('555-56784321'),('555-12348765'),(),$,
'www.blis-project.org',$,$);
#1043=IFCPERSON('Hietanen','Jiri',$,'Mr.',$,(#1041),(#1039));
#1044=IFCORGANIZATION('Microsoft Corporation',(),(),$);
#1045=IFCORGANIZATION('BLIS',(#1042),(),$);
#1046=IFCORGANIZATION('Acme',(),(#1040),$);
#1047=IFCAPPLICATION('Microsoft Visio',
'Microsoft(R) Visio(R) 10 Professional','10',#1044);
#1048=IFCPERSONANDORGANIZATION(#1043,#1045,());
#1049=IFCOWNERHISTORY(#1048,#1047,"10",$,$,$);
#1050=IFCGEOMETRICREPRESENTATIONCONTEXT('1KPj-sA<%tvgh%aKf!Zi','Generic
','NotDefined',3,0.);
#1051=IFCSIUNIT(*,.LENGTHUNIT.,.MILLI.,.METRE.);
#1052=IFCSIUNIT(*,.AREAUNIT.,$,.SQUARE_METRE.);
#1053=IFCSIUNIT(*,.VOLUMEUNIT.,$,.CUBIC_METRE.);
#1054=IFCSIUNIT(*,.PLANEANGLEUNIT.,$,.RADIAN.);
#1055=IFCSIUNIT(*,.SOLIDANGLEUNIT.,$,.RADIAN.);
#1056=IFCUNITASSIGNMENT((#1051,#1052,#1053,#1054,#1055));
ENDSEC;
END-ISO-10303-21;
"""


encodedStrings : String
encodedStrings =
    """
ISO-10303-21;
HEADER;
FILE_DESCRIPTION(('Encoded strings'),'2;1');
FILE_NAME('Test STEP file', '2017-06-16T17:30:00', ('Ian Mackenzie'), (), '', '', '');
FILE_SCHEMA(('ENCODED_STRINGS'));
ENDSEC;
DATA;
#1=STRING_TEST('CAT');
#2=STRING_TEST('Don''t');
#3=STRING_TEST('''');
#4=STRING_TEST('');
#5=STRING_TEST('\\X2\\03C0\\X0\\');
#6=STRING_TEST('\\X2\\03B103B203B3\\X0\\');
#7=STRING_TEST('\\X4\\0001F600\\X0\\');
#8=STRING_TEST('\\X4\\0001F6000001F638\\X0\\');
#9=STRING_TEST('see \\X\\A7 4.1');
#10=STRING_TEST('line one\\X\\0Aline two');
ENDSEC;
END-ISO-10303-21;
"""
